(function() {
  'use strict';

  angular
    .module('ads')
    .config(adsState);

  adsState.$inject = ['$stateProvider', 'templateUrlPath', '$urlRouterProvider'];

  function adsState($stateProvider, templateUrlPath, $urlRouterProvider) {

    $stateProvider

      .state('ads', {
        url: '/ads',
        templateUrl: templateUrlPath + 'modules/ads/ads.html',
        controller: 'AdsCtrl'
      });
      var token = localStorage.getItem("bj12351.token");
      if(localStorage.getItem("bj12351.platform") == 'android'){
        if (localStorage.getItem('bj12351.third') == 'true') {
          if (token != null && token != "") {
            $urlRouterProvider.otherwise('/tab/oauth');
          } else {
            $urlRouterProvider.otherwise('/tab/oauthLogin');
          }
        } else {
          if (localStorage.getItem('bj12351.need_ads') == 'true') {
            $urlRouterProvider.otherwise('/ads'); //跳转到广告页
          } else {
            $urlRouterProvider.otherwise('/tab/home'); //跳转到home页
          }
        }
      }else{
        if (localStorage.getItem('bj12351.need_ads') == 'true') {
          $urlRouterProvider.otherwise('/ads'); //跳转到广告页
        } else {
          $urlRouterProvider.otherwise('/tab/home'); //跳转到home页
        }
      }
  }
})();
