(function() {
  'use strict';

  angular
    .module('wydgs')
    .controller('wydgsCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicActionSheet, $ionicHistory, $state, $cordovaCamera, $cordovaFileTransfer, templateUrlPath, API, wydgsSer, $stateParams) {
      $scope.user = JSON.parse(localStorage.getItem('bj12351.user'));
      $scope.dgs = {
        title: '',
        ismember: '否',
        gender: '必填',
        name: '',
        phone: '',
        address: '',
        dgs_address3: '',
        work_ent: '',
        company_person: '',
        company_phone: '',
        work_address: '',
        work_address1: '',
        work_address2: '',
        work_address3: '',
        content: ''
      };
      $scope.is_gender = false;
      $scope.is_name = false;
      if ($scope.user != null) {
        $scope.dgs.ismember = '是';
        $scope.is_gender = true;
        $scope.is_name = true;
        $scope.dgs.name = $scope.user.name;
        $scope.dgs.gender = $scope.user.gender;
        $scope.dgs.phone = $scope.user.phone;
        $scope.dgs.work_ent = $scope.user.company;
      }
      $scope.work = false;
      $scope.salary = false;
      $scope.insurance = false;
      $scope.restr = false;
      $scope.case = false;
      $scope.criminal = false;
      $scope.other = false;
      $scope.dgscheck_tit = {};

      $scope.dgs_check_titstr = [
        '劳动合同',
        '工资福利',
        '五险一金',
        '休息休假',
        '民事案件',
        '其他',
        '刑事行政案件'
      ];
      $scope.dgscheckbox = function(name, val) {
        $scope.dgscheck_tit[name] = val;
      };

      function check_i() {
        var i = 0;
        for (var variable in $scope.dgscheck_tit) {
          if ($scope.dgscheck_tit[variable]) {
            i++;
          }
        }
        if (i == 0) {
          return true;
        } else {
          return false;
        }
      }


      $scope.claim2 = [];
      $scope.claim2[0] = {};
      $scope.claim2[1] = {};
      $scope.claim2[2] = {};
      $scope.claim2[3] = {};
      $scope.claim2[4] = {};
      $scope.claim2[0].url = '';
      $scope.claim2[1].url = '';
      $scope.claim2[2].url = '';
      $scope.claim2[3].url = '';
      $scope.claim2[4].url = '';
      $scope.isdisabled = function() {
        if ($scope.user != null) {
          if (check_i() || $scope.dgs.phone == '' || $scope.dgs.dgs_address1.code3 == 0 || $scope.dgs.work_ent == '' || $scope.dgs.content == '' || $scope.claim2[0].url == '' || $scope.claim2[1].url == '' || $scope.claim2[2].url == '' || $scope.claim2[3].url == '' || $scope.claim2[4].url == '') {
            return true;
          }
        } else {
          if ($scope.dgs.gender == '必填' || check_i() || $scope.dgs.name == '' || $scope.dgs.phone == '' || $scope.dgs.dgs_address1.code3 == 0 || $scope.dgs.work_ent == '' || $scope.dgs.content == '' || $scope.claim2[0].url == '' || $scope.claim2[1].url == '' || $scope.claim2[2].url == '' || $scope.claim2[3].url == '' || $scope.claim2[4].url == '') {
            return true;
          }
        }

      };


      /**根据条件获取对象**/
      var getObjByCondition = function(code3, list_name, area) {
        var result = [];
        var i = 0;
        var j = 0;
        var list = JSON.parse(localStorage.getItem('bj12351.' + list_name)) || {};
        if (code3 === 0) {
          for (i; i < list.length; i++) {
            if (0 === list[i].code4) {
              result[j] = list[i];
              j++;
            }
          }
          if (area == 1) {
            result[0].name = '区、必填';
          } else {
            result[0].name = '区、非必填';
          }
          return result;
        } else {
          for (i; i < list.length; i++) {
            if (code3 == list[i].code3) {
              result[j] = list[i];
              j++;
            }
          }
          result.shift();
          return result;
        }
      };
      var stree_getObjByCondition = function(code3, list_name, per_com) {
        var result = [];
        var i = 0;
        var j = 0;
        var list = JSON.parse(localStorage.getItem('bj12351.' + list_name)) || {};
        if (code3 === 0) {
          for (i; i < list.length; i++) {
            if (0 === list[i].code4) {
              result[j] = list[i];
              j++;
            }
          }
          if (per_com == 1) {
            result[0].name = '街道、必填';
          } else {
            result[0].name = '街道、非必填';
          }
          return result;
        } else {
          for (i; i < list.length; i++) {
            if (code3 == list[i].code3) {
              result[j] = list[i];
              j++;
            }
          }
          if (per_com == 1) {
            result[0].name = '街道、必填';
          } else {
            result[0].name = '街道、非必填';
          }
          //result.shift();
          return result;
        }
      };
      //单位联系人地址
      $scope.first_areas = getObjByCondition(0, 'ct_area', 1) || {}; //二级联动中一级列表
      $scope.second_areas = stree_getObjByCondition(0, 'ct_area', 2) || {}; //二级联动中二级列表
      $scope.dgs.dgs_address1 = $scope.first_areas[0]; //一级列表初值
      $scope.dgs.dgs_address2 = $scope.second_areas[0]; //二级列表初值
      $scope.my_city_area_flag = true;

      $scope.chooseFirst = function() {
        $scope.second_areas = stree_getObjByCondition($scope.dgs.dgs_address1.code3, 'ct_area', 2); //二级列表赋值
        if ($scope.dgs.dgs_address1 !== $scope.first_areas[0]) { //当一级列表不为请选择时
          $scope.dgs.dgs_address2 = $scope.second_areas[0] || {};
          $scope.my_city_area_flag = false;
        } else { //当一级列表为请选择时
          $scope.dgs.dgs_address2 = $scope.second_areas[0] || {};
          $scope.my_city_area_flag = true;
        }
      };



      //所在单位地址

      $scope.third_areas = getObjByCondition(0, 'ct_area', 2) || {};
      $scope.fourth_areas = stree_getObjByCondition(0, 'ct_area', 2); //二级联动中二级列表
      $scope.dgs.work_address1 = $scope.third_areas[0]; //一级列表初值
      $scope.dgs.work_address2 = $scope.fourth_areas[0]; //二级列表初值
      $scope.my_city_area_flag2 = true;

      $scope.workchooseFirst = function() {
        $scope.fourth_areas = stree_getObjByCondition($scope.dgs.work_address1.code3, 'ct_area', 2); //二级列表赋值
        if ($scope.dgs.work_address1 !== $scope.third_areas[0]) { //当一级列表不为请选择时
          $scope.dgs.work_address2 = $scope.fourth_areas[0] || {};
          $scope.my_city_area_flag2 = false;
        } else { //当一级列表为请选择时
          $scope.dgs.work_address2 = $scope.fourth_areas[0] || {};
          $scope.my_city_area_flag2 = true;
        }
      };


      /**修改头像**/



      /**拍照**/


      $scope.showTpl = function(type) {
        $scope.tplType = type;
        $scope.openModal('my_claim/show_template');
      };

      /**模板方法**/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }

        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', {
          scope: $scope,
          animation: 'slide-in-up'
        }).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };

      $scope.claim2 = [];
      $scope.claim2[0] = {};
      $scope.claim2[1] = {};
      $scope.claim2[0].url = '';
      $scope.claim2[1].url = '';
      var imgIndex, img_src;

      var img_data;

      function takePhoto() {
        var options = {
          quality: 30, //图片质量 0-100
          destinationType: Camera.DestinationType.FILE_URI, //返回值格式
          sourceType: Camera.PictureSourceType.CAMERA, //图片来源 摄像头
          correctOrientation: true //旋转图像至设备正确方向
        };

        $cordovaCamera.getPicture(options).then(function(imageURI) {
          $scope.claim2[imgIndex] = {
            "url": imageURI
          };
        }, function(err) {});
      }

      /**选择图库**/
      function pickImage() {
        var options = {
          quality: 30, //图片质量 0-100
          destinationType: Camera.DestinationType.FILE_URI, //返回值格式
          sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM, //图片来源 图库
          correctOrientation: true //旋转图像至设备正确方向
        };

        $cordovaCamera.getPicture(options).then(function(imageURI) {

          $scope.claim2[imgIndex] = {
            "url": imageURI
          };


        }, function(err) {});
      }

      /**添加图片**/
      $scope.addPhoto = function(picIndex) {
        imgIndex = picIndex;
        $ionicActionSheet.show({
          cancelOnStateChange: true, //在菜单取消后刷新状态
          titleText: "请选择图片获取方式",
          buttons: [{
            text: '相机'
          }, {
            text: '图库'
          }],
          cancelText: '取消',
          cancel: function() {
            return true;
          },
          buttonClicked: function(index) {
            switch (index) {
              case 0:
                takePhoto();
                break;
              case 1:
                pickImage();
                break;
              default:
                break;
            }
            return true;
          }
        });
      };
      //删除图片
      $scope.outPhoto = function(picIndex) {
        $scope.claim2[picIndex] = {
          "url": '',
        };
      };



      $scope.subdata = function(subdata1, subdata2, subdata15, subdata16, subdata17, subdata3, subdata4, subdata5, subdata6, subdata7, subdata8, subdata9, subdata10, subdata11, subdata12, subdata13, subdata14) {
        wydgsSer.wydgsdata(subdata1, subdata2, subdata15, subdata16, subdata17, subdata3, subdata4, subdata5, subdata6, subdata7, subdata8, subdata9, subdata10, subdata11, subdata12, subdata13, subdata14).then(function(data) {
          if (data.errcode === 2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            $cordovaDialogs.alert('请耐心等待法律服务中心电话联系，您可以在已申请列表中查看进展情况。', '温馨提示', '好的').then(function() {
              // $scope.dgs.title = '';
              // if ($scope.user != null) {
              //   $scope.dgs.phone = $scope.user.phone;
              //   $scope.dgs.work_ent = $scope.user.company;
              // } else {
              //   $scope.dgs.name = '';
              //   $scope.dgs.phone = '';
              //   $scope.dgs.work_ent = '';
              // }
              // $scope.dgs.company_person = '';
              // $scope.dgs.company_phone = '';
              // $scope.dgs.content = '';
              // $scope.dgs.dgs_address1 = $scope.first_areas[0];
              // $scope.dgs.dgs_address2 = $scope.second_areas[0];
              // $scope.dgs.dgs_address3 = '';
              // $scope.dgs.work_address1 = $scope.third_areas[0];
              // $scope.dgs.work_address2 = $scope.fourth_areas[0];
              // $scope.dgs.work_address3 = '';
              // $scope.claim2[0].url = '';
              // $scope.claim2[1].url = '';
              // $scope.claim2[2].url = '';
              // $scope.claim2[3].url = '';
              // $scope.claim2[4].url = '';
              $ionicHistory.goBack(-2);
            });

          } else if (data.errcode == -1) {
            $scope.hasMore = false;
            $cordovaDialogs.confirm('您的登录已失效，是否现在登录', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
              if (buttonIndex == 1) {
                if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                  $state.go('tab.login');
                } else {
                  $state.go('tab.login-other');
                }
              }
            });
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 3000
          });
        });

      };




      var picAry = [],
        photo_num = 0;
      /**打官司提交**/

      $scope.dgs_sub = function() {
        $scope.dgs.title = '';
        for (var variable in $scope.dgscheck_tit) {
          if ($scope.dgscheck_tit[variable]) {
            $scope.dgs.title = $scope.dgs.title + $scope.dgs_check_titstr[variable] + ',';
          }
        }
        $scope.dgs.title = $scope.dgs.title.substr(0, $scope.dgs.title.length - 1);

        if ($scope.dgs.work_address1.name == '区、非必填') {
          $scope.dgs.work_address1.name = '';
        }
        if ($scope.dgs.work_address2.name == '街道、非必填') {
          $scope.dgs.work_address2.name = '';
        }
        if ($scope.dgs.dgs_address2.name == '街道、非必填') {
          $scope.dgs.dgs_address2.name = '';
        }
        $scope.dgs.address = $scope.dgs.dgs_address1.name + $scope.dgs.dgs_address2.name + $scope.dgs.dgs_address3;
        $scope.dgs.work_address = $scope.dgs.work_address1.name + $scope.dgs.work_address2.name + $scope.dgs.work_address3;

        // if ($scope.dgs.title.length > 63) {
        //   $cordovaDialogs.alert('标题过长', '温馨提示', '好的');
        //   return;
        // }
        if ($scope.dgs.name.length > 16) {
          $cordovaDialogs.alert('申请人姓名过长', '温馨提示', '好的');
          return;
        }
        if (!/^1\d{10}$/.test($scope.dgs.phone)) {
          $cordovaDialogs.alert("请输入正确的手机号", '温馨提示', '好的');
          return;
        }
        if ($scope.dgs.address.length > 128) {
          $cordovaDialogs.alert("申请人的详细地址过长", '温馨提示', '好的');
          return;
        }
        if ($scope.dgs.work_ent.length > 64) {
          $cordovaDialogs.alert('单位名称过长', '温馨提示', '好的');
          return;
        }
        if ($scope.dgs.company_person.length > 16 && $scope.dgs.company_person != '') {
          $cordovaDialogs.alert('单位联系人姓名过长', '温馨提示', '好的');
          return;
        }
        if ($scope.dgs.company_phone != '') {
          if (!/^\d{8,11}$/.test($scope.dgs.company_phone)) {
            $cordovaDialogs.alert("单位联系人电话请输入8位电话或11位手机号", '温馨提示', '好的');
            return;
          }
          if ($scope.dgs.company_phone.length == 9 || $scope.dgs.company_phone.length == 10) {
            $cordovaDialogs.alert("单位联系人电话请输入8位电话或11位手机号", '温馨提示', '好的');
            return;
          }
        }
        if ($scope.dgs.work_address.length > 128 && $scope.dgs.work_address != '') {
          $cordovaDialogs.alert("单位地址过长", '温馨提示', '好的');
          return;
        }
        if ($scope.dgs.content.length > 500) {
          $cordovaDialogs.alert('请求事项输入内容过长', '温馨提示', '好的');
          return;
        }

        $cordovaDialogs.confirm('您确定提交？', '温馨提示：', ['确定', '取消']).then(function(buttonIndex) {
          if (buttonIndex == 1) {
            wydgsSer.uploadPhoto($scope.claim2[0].url).then(function(data) {
              if (data.errcode === 2) {
                picAry[0] = data.errmsg;
                wydgsSer.uploadPhoto($scope.claim2[1].url).then(function(data) {
                  if (data.errcode === 2) {
                    picAry[1] = data.errmsg;
                    wydgsSer.uploadPhoto($scope.claim2[2].url).then(function(data) {
                      if (data.errcode === 2) {
                        picAry[2] = data.errmsg;
                        //开始传第一张图片
                        wydgsSer.uploadPhoto($scope.claim2[3].url).then(function(data) {
                          if (data.errcode === 2) {
                            picAry[3] = data.errmsg;
                            //开始传第二张图片
                            wydgsSer.uploadPhoto($scope.claim2[4].url).then(function(data) {
                              if (data.errcode === 2) {
                                picAry[4] = data.errmsg;
                                //开始传输入框数据和图片
                                $scope.subdata(244, $scope.dgs.title, $scope.dgs.ismember, $scope.dgs.name, $scope.dgs.gender, $scope.dgs.phone, $scope.dgs.address, $scope.dgs.work_ent, $scope.dgs.company_person, $scope.dgs.company_phone, $scope.dgs.work_address, $scope.dgs.content, picAry[0].original, picAry[1].original, picAry[2].original, picAry[3].original, picAry[4].original);
                                //结束传输入框数据和图片
                              } else {
                                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                              }
                            }, function() {
                              $ionicLoading.show({
                                template: '网络繁忙，请稍后重试。',
                                duration: 3000
                              });
                            }); //结束第二张图片
                          } else {
                            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                          }
                        }, function() {
                          $ionicLoading.show({
                            template: '网络繁忙，请稍后重试。',
                            duration: 3000
                          });
                        });
                      } else {
                        $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                      }
                    }, function() {
                      $ionicLoading.show({
                        template: '网络繁忙，请稍后重试。',
                        duration: 3000
                      });
                    });
                  } else {
                    $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                  }
                }, function() {
                  $ionicLoading.show({
                    template: '网络繁忙，请稍后重试。',
                    duration: 3000
                  });
                });
              } else if (data.errcode == -1) {
                $scope.hasMore = false;
                $cordovaDialogs.confirm('您的登录已失效，是否现在登录', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                      $state.go('tab.login');
                    } else {
                      $state.go('tab.login-other');
                    }
                  }
                });
              } else {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
              }
            }, function() {
              $ionicLoading.show({
                template: '网络繁忙，请稍后重试。',
                duration: 3000
              });
            });
          }
        });

      };



      //承诺书页面
      $scope.promise = {};
      $scope.promise.check = '';
      $scope.promise_agree = function() {
        $state.go('tab.wydgs_dgs');
      };






    });
})();
