(function() {
  'use strict';
  angular
    .module('wydgs')
    .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
      $stateProvider


        .state('tab.wydgs', {
          url: '/flfw/wydgs',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wydgs/wydgs.html'
            }
          }
        })
        .state('tab.wydgs_check', {
          url: '/flfw/wydgs/check',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wydgs/wydgs_check.html',
              controller: 'wydgsdetailCtrl'
            }
          }
        })
        .state('tab.wydgs_detail', {
          url: '/flfw/wydgs/wydgs_detail/:wydgs_detailId',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wydgs/wydgs_detail.html',
              controller: 'wydgsdetailCtrl'
            }
          }
        })
        .state('tab.wydgs_promise', {
          url: '/flfw/wydgs/wydgs_promise',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wydgs/wydgs_promise.html',
              controller: 'wydgsCtrl'
            }
          }
        })
        .state('tab.wydgs_dgs', {
          url: '/flfw/wydgs/wydgs_dgs',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wydgs/wydgs_dgs.html',
              controller: 'wydgsCtrl'
            }
          }
        });







    });
})();
