(function() {
  'use strict';

  angular
    .module('wyds')
    .controller('wydsCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicActionSheet, $ionicHistory, $state, $cordovaCamera, $cordovaFileTransfer, templateUrlPath, API, wydsSer, $stateParams) {
      $scope.user = JSON.parse(localStorage.getItem('bj12351.user'));

      $scope.ds = {
        title: '',
        name: '',
        ismember: '否',
        gender: '必填',
        phone: '',
        address: '',
        ds_address3: '',
        work_ent: '',
        company_person: '',
        company_phone: '',
        work_address: '',
        work_address1: '',
        work_address2: '',
        work_address3: '',
        content: ''
      };
      $scope.is_gender = false;
      $scope.is_name = false;
      if ($scope.user != null) {
        $scope.is_name = true;
        $scope.ds.ismember = '是';
        $scope.is_gender = true;
        $scope.ds.name = $scope.user.name;
        $scope.ds.gender = $scope.user.gender;
        $scope.ds.name = $scope.user.name;
        $scope.ds.phone = $scope.user.phone;
        $scope.ds.work_ent = $scope.user.company;
      }

      $scope.work = false;
      $scope.salary = false;
      $scope.insurance = false;
      $scope.restr = false;
      $scope.case = false;
      $scope.criminal = false;
      $scope.other = false;
      $scope.dscheck_tit = {};

      $scope.ds_check_titstr = [
        '劳动合同',
        '工资福利',
        '五险一金',
        '休息休假',
        '民事案件',
        '其他',
        '刑事行政案件'
      ];
      $scope.dscheckbox = function(name, val) {
        $scope.dscheck_tit[name] = val;
      };

      function check_i() {
        var i = 0;
        for (var variable in $scope.dscheck_tit) {
          if ($scope.dscheck_tit[variable]) {
            i++;
          }
        }
        if (i == 0) {
          return true;
        } else {
          return false;
        }
      }


      $scope.claim2 = [];
      $scope.claim2[0] = {};
      $scope.claim2[1] = {};
      $scope.claim2[2] = {};
      $scope.claim2[3] = {};
      $scope.claim2[0].url = '';
      $scope.claim2[1].url = '';
      $scope.claim2[2].url = '';
      $scope.claim2[3].url = '';
      $scope.isdisabled = function() {
        if ($scope.user != null) {
          if (check_i() || $scope.ds.phone == '' || $scope.ds.ds_address1.code3 == 0 || $scope.ds.work_ent == '' || $scope.ds.content == '' || $scope.claim2[0].url == '' || $scope.claim2[1].url == '' || $scope.claim2[2].url == '') {
            return true;
          }
        } else {
          if ($scope.ds.gender == '必填' || check_i() || $scope.ds.name == '' || $scope.ds.phone == '' || $scope.ds.ds_address1.code3 == 0 || $scope.ds.work_ent == '' || $scope.ds.content == '' || $scope.claim2[0].url == '' || $scope.claim2[1].url == '' || $scope.claim2[2].url == '') {
            return true;
          }
        }
      };

      /**根据条件获取对象**/
      var getObjByCondition = function(code3, list_name, area) {
        var result = [];
        var i = 0;
        var j = 0;
        var list = JSON.parse(localStorage.getItem('bj12351.' + list_name)) || {};
        if (code3 === 0) {
          for (i; i < list.length; i++) {
            if (0 === list[i].code4) {
              result[j] = list[i];
              j++;
            }
          }
          if (area == 1) {
            result[0].name = '区、必填';
          } else {
            result[0].name = '区、非必填';
          }
          return result;
        } else {
          for (i; i < list.length; i++) {
            if (code3 == list[i].code3) {
              result[j] = list[i];
              j++;
            }
          }
          result.shift();
          return result;
        }
      };
      var stree_getObjByCondition = function(code3, list_name, per_com) {
        var result = [];
        var i = 0;
        var j = 0;
        var list = JSON.parse(localStorage.getItem('bj12351.' + list_name)) || {};
        if (code3 === 0) {
          for (i; i < list.length; i++) {
            if (0 === list[i].code4) {
              result[j] = list[i];
              j++;
            }
          }
          if (per_com == 1) {
            result[0].name = '街道、必填';
          } else {
            result[0].name = '街道、非必填';
          }
          return result;
        } else {
          for (i; i < list.length; i++) {
            if (code3 == list[i].code3) {
              result[j] = list[i];
              j++;
            }
          }
          if (per_com == 1) {
            result[0].name = '街道、必填';
          } else {
            result[0].name = '街道、非必填';
          }
          //result.shift();
          return result;
        }
      };
      //申请人地址
      $scope.first_areas = getObjByCondition(0, 'ct_area', 1) || {}; //二级联动中一级列表
      $scope.second_areas = stree_getObjByCondition(0, 'ct_area', 2) || {}; //二级联动中二级列表
      $scope.ds.ds_address1 = $scope.first_areas[0]; //一级列表初值
      $scope.ds.ds_address2 = $scope.second_areas[0]; //二级列表初值
      $scope.my_city_area_flag = true;

      $scope.chooseFirst = function() {
        $scope.second_areas = stree_getObjByCondition($scope.ds.ds_address1.code3, 'ct_area', 2); //二级列表赋值
        if ($scope.ds.ds_address1 !== $scope.first_areas[0]) { //当一级列表不为请选择时
          $scope.ds.ds_address2 = $scope.second_areas[0] || {};
          $scope.my_city_area_flag = false;
        } else { //当一级列表为请选择时
          $scope.ds.ds_address2 = $scope.second_areas[0] || {};
          $scope.my_city_area_flag = true;
        }
      };



      //所在单位地址

      $scope.third_areas = getObjByCondition(0, 'ct_area', 2) || {};
      $scope.fourth_areas = stree_getObjByCondition(0, 'ct_area', 2) || {}; //二级联动中二级列表
      $scope.ds.work_address1 = $scope.third_areas[0]; //一级列表初值
      $scope.ds.work_address2 = $scope.fourth_areas[0]; //二级列表初值
      $scope.my_city_area_flag2 = true;

      $scope.workchooseFirst = function() {
        $scope.fourth_areas = stree_getObjByCondition($scope.ds.work_address1.code3, 'ct_area', 2); //二级列表赋值
        if ($scope.ds.work_address1 !== $scope.third_areas[0]) { //当一级列表不为请选择时
          $scope.ds.work_address2 = $scope.fourth_areas[0] || {};
          $scope.my_city_area_flag2 = false;
        } else { //当一级列表为请选择时
          $scope.ds.work_address2 = $scope.fourth_areas[0] || {};
          $scope.my_city_area_flag2 = true;
        }
      };

      /**拍照**/

      $scope.showTpl = function(type) {
        $scope.tplType = type;
        $scope.openModal('my_claim/show_template');
      };

      /**模板方法**/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }

        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', {
          scope: $scope,
          animation: 'slide-in-up'
        }).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };


      var imgIndex, img_src;
      var img_data;

      function takePhoto() {
        var options = {
          quality: 30, //图片质量 0-100
          destinationType: Camera.DestinationType.FILE_URI, //返回值格式
          sourceType: Camera.PictureSourceType.CAMERA, //图片来源 摄像头
          correctOrientation: true //旋转图像至设备正确方向
        };

        $cordovaCamera.getPicture(options).then(function(imageURI) {
          $scope.claim2[imgIndex] = {
            "url": imageURI,
            num: imgIndex
          };
        }, function(err) {});
      }

      /**选择图库**/
      function pickImage() {
        var options = {
          quality: 30, //图片质量 0-100
          destinationType: Camera.DestinationType.FILE_URI, //返回值格式
          sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM, //图片来源 图库
          correctOrientation: true //旋转图像至设备正确方向
        };

        $cordovaCamera.getPicture(options).then(function(imageURI) {
          $scope.claim2[imgIndex] = {
            "url": imageURI,
            num: imgIndex
          };
        }, function(err) {});
      }

      /**添加图片**/
      $scope.addPhoto = function(picIndex) {
        imgIndex = picIndex;
        $ionicActionSheet.show({
          cancelOnStateChange: true, //在菜单取消后刷新状态
          titleText: "请选择图片获取方式",
          buttons: [{
            text: '相机'
          }, {
            text: '图库'
          }],
          cancelText: '取消',
          cancel: function() {
            return true;
          },
          buttonClicked: function(index) {
            switch (index) {
              case 0:
                takePhoto();
                break;
              case 1:
                pickImage();
                break;
              default:
                break;
            }
            return true;
          }
        });
      };




      $scope.subdata = function(subdata1, subdata2, subdata14, subdata15, subdata16, subdata3, subdata4, subdata5, subdata6, subdata7, subdata8, subdata9, subdata10, subdata11, subdata12, subdata13) {
        wydsSer.wydsdata(subdata1, subdata2, subdata14, subdata15, subdata16, subdata3, subdata4, subdata5, subdata6, subdata7, subdata8, subdata9, subdata10, subdata11, subdata12, subdata13).then(function(data) {
          if (data.errcode === 2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            $cordovaDialogs.alert('请耐心等待法律服务中心电话联系，您可以在已申请列表中查看进展情况。', '温馨提示', '好的').then(function() {
              // $scope.ds.title = '';
              // if ($scope.user != null) {
              //   $scope.ds.phone = $scope.user.phone;
              //   $scope.ds.work_ent = $scope.user.company;
              // } else {
              //   $scope.ds.name = '';
              //   $scope.ds.phone = '';
              //   $scope.ds.work_ent = '';
              // }
              //
              // $scope.ds.company_person = '';
              // $scope.ds.company_phone = '';
              // $scope.ds.content = '';
              // $scope.ds.ds_address1 = $scope.first_areas[0];
              // $scope.ds.ds_address2 = $scope.second_areas[0];
              // $scope.ds.ds_address3 = '';
              // $scope.ds.work_address1 = $scope.third_areas[0];
              // $scope.ds.work_address2 = $scope.fourth_areas[0];
              // $scope.ds.work_address3 = '';
              // $scope.claim2[0].url = '';
              // $scope.claim2[1].url = '';
              // $scope.claim2[2].url = '';
              // $scope.claim2[3].url = '';
              $ionicHistory.goBack(-2);
            });

          } else if (data.errcode == -1) {
            $scope.hasMore = false;
            $cordovaDialogs.confirm('您的登录已失效，是否现在登录', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
              if (buttonIndex == 1) {
                if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                  $state.go('tab.login');
                } else {
                  $state.go('tab.login-other');
                }
              }
            });
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 3000
          });
        });

      };



      var picAry = [],
        photo_num = 0;

      /**代书提交**/
      $scope.ds_sub = function() {
        $scope.ds.title = '';
        for (var variable in $scope.dscheck_tit) {
          if ($scope.dscheck_tit[variable]) {
            $scope.ds.title = $scope.ds.title + $scope.ds_check_titstr[variable] + ',';
          }
        }
        $scope.ds.title = $scope.ds.title.substr(0, $scope.ds.title.length - 1);

        if ($scope.ds.work_address1.name == '区、非必填') {
          $scope.ds.work_address1.name = '';
        }
        if ($scope.ds.work_address2.name == '街道、非必填') {
          $scope.ds.work_address2.name = '';
        }
        if ($scope.ds.ds_address2.name == '街道、非必填') {
          $scope.ds.ds_address2.name = '';
        }
        $scope.ds.address = $scope.ds.ds_address1.name + $scope.ds.ds_address2.name + $scope.ds.ds_address3;
        $scope.ds.work_address = $scope.ds.work_address1.name + $scope.ds.work_address2.name + $scope.ds.work_address3;
        // if ($scope.ds.title.length > 63) {
        //   $cordovaDialogs.alert('标题过长', '温馨提示', '好的');
        //   return;
        // }
        if ($scope.ds.name.length > 16) {
          $cordovaDialogs.alert('姓名过长', '温馨提示', '好的');
          return;
        }
        if (!/^1\d{10}$/.test($scope.ds.phone)) {
          $cordovaDialogs.alert("请输入正确的手机号", '温馨提示', '好的');
          return;
        }
        if ($scope.ds.address.length > 128) {
          $cordovaDialogs.alert("申请人的详细地址过长", '温馨提示', '好的');
          return;
        }
        if ($scope.ds.work_ent.length > 64) {
          $cordovaDialogs.alert('单位名称过长', '温馨提示', '好的');
          return;
        }
        if ($scope.ds.company_person.length > 16 && $scope.ds.company_person != '') {
          $cordovaDialogs.alert('单位联系人姓名过长', '温馨提示', '好的');
          return;
        }
        if ($scope.ds.company_phone != '') {
          if (!/^\d{8,11}$/.test($scope.ds.company_phone)) {
            $cordovaDialogs.alert("单位联系人电话请输入8位电话或11位手机号", '温馨提示', '好的');
            return;
          }
          if ($scope.ds.company_phone.length == 9 || $scope.ds.company_phone.length == 10) {
            $cordovaDialogs.alert("单位联系人电话请输入8位电话或11位手机号", '温馨提示', '好的');
            return;
          }
        }
        if ($scope.ds.work_address.length > 128 && $scope.ds.work_address != '') {
          $cordovaDialogs.alert("单位地址过长", '温馨提示', '好的');
          return;
        }
        if ($scope.ds.content.length > 500) {
          $cordovaDialogs.alert('请求事项输入过长', '温馨提示', '好的');
          return;
        }

        $cordovaDialogs.confirm('您确定提交？', '温馨提示：', ['确定', '取消']).then(function(buttonIndex) {
          if (buttonIndex == 1) {
            if ($scope.claim2[3].url != '') {

              wydsSer.uploadPhoto($scope.claim2[0].url).then(function(data) {
                if (data.errcode === 2) {
                  picAry[0] = data.errmsg;
                  wydsSer.uploadPhoto($scope.claim2[1].url).then(function(data) {
                    if (data.errcode === 2) {
                      picAry[1] = data.errmsg;
                      wydsSer.uploadPhoto($scope.claim2[2].url).then(function(data) {
                        if (data.errcode === 2) {
                          picAry[2] = data.errmsg;
                          wydsSer.uploadPhoto($scope.claim2[3].url).then(function(data) {
                            if (data.errcode === 2) {
                              picAry[3] = data.errmsg;

                              //开始传输入框数据和图片
                              $scope.subdata(245, $scope.ds.title, $scope.ds.ismember, $scope.ds.name, $scope.ds.gender, $scope.ds.phone, $scope.ds.address, $scope.ds.work_ent, $scope.ds.company_person, $scope.ds.company_phone, $scope.ds.work_address, $scope.ds.content, picAry[0].original, picAry[1].original, picAry[2].original, picAry[3].original);
                              //结束传输入框数据和图片
                            } else {
                              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                            }
                          }, function() {
                            $ionicLoading.show({
                              template: '网络繁忙，请稍后重试。',
                              duration: 3000
                            });
                          });
                        } else {
                          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                        }
                      }, function() {
                        $ionicLoading.show({
                          template: '网络繁忙，请稍后重试。',
                          duration: 3000
                        });
                      });
                    } else {
                      $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                    }
                  }, function() {
                    $ionicLoading.show({
                      template: '网络繁忙，请稍后重试。',
                      duration: 3000
                    });
                  });
                } else if (data.errcode == -1) {
                  $scope.hasMore = false;
                  $cordovaDialogs.confirm('您的登录已失效，是否现在登录', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
                    if (buttonIndex == 1) {
                      if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                        $state.go('tab.login');
                      } else {
                        $state.go('tab.login-other');
                      }
                    }
                  });
                } else {
                  $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                }
              }, function() {
                $ionicLoading.show({
                  template: '网络繁忙，请稍后重试。',
                  duration: 3000
                });
              });

            } else {
              //没传最后一张图片
              wydsSer.uploadPhoto($scope.claim2[0].url).then(function(data) {
                if (data.errcode === 2) {
                  picAry[0] = data.errmsg;
                  wydsSer.uploadPhoto($scope.claim2[1].url).then(function(data) {
                    if (data.errcode === 2) {
                      picAry[1] = data.errmsg;
                      wydsSer.uploadPhoto($scope.claim2[2].url).then(function(data) {
                        if (data.errcode === 2) {
                          picAry[2] = data.errmsg;
                          //开始传输入框数据
                          $scope.subdata(245, $scope.ds.title, $scope.ds.ismember, $scope.ds.name, $scope.ds.gender, $scope.ds.phone, $scope.ds.address, $scope.ds.work_ent, $scope.ds.company_person, $scope.ds.company_phone, $scope.ds.work_address, $scope.ds.content, picAry[0].original, picAry[1].original, picAry[2].original);
                          //结束传输入框数据和图片
                        } else {
                          $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                        }
                      }, function() {
                        $ionicLoading.show({
                          template: '网络繁忙，请稍后重试。',
                          duration: 3000
                        });
                      });
                    } else {
                      $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                    }
                  }, function() {
                    $ionicLoading.show({
                      template: '网络繁忙，请稍后重试。',
                      duration: 3000
                    });
                  });
                } else if (data.errcode == -1) {
                  $scope.hasMore = false;
                  $cordovaDialogs.confirm('您的登录已失效，是否现在登录', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
                    if (buttonIndex == 1) {
                      if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                        $state.go('tab.login');
                      } else {
                        $state.go('tab.login-other');
                      }
                    }
                  });
                } else {
                  $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                }
              }, function() {
                $ionicLoading.show({
                  template: '网络繁忙，请稍后重试。',
                  duration: 3000
                });
              });

            }

          }

        });
      };









      //承诺书页面
      $scope.promise = {};
      $scope.promise.check = '';


      $scope.promise_agree = function() {
        $state.go('tab.wyds_ds');
      };


    });
})();
