(function() {
  'use strict';
  angular
    .module('wyds')
    .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
      $stateProvider




        .state('tab.wyds', {
          url: '/flfw/wyds',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wyds/wyds.html'
            }
          }
        })

        .state('tab.wyds_check', {
          url: '/flfw/wyds/check',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wyds/wyds_check.html',
              controller: 'wydsdetailCtrl'
            }
          }
        })
        .state('tab.wyds_detail', {
          url: '/flfw/wyds/wyds_detail/:wyds_detailId',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wyds/wyds_detail.html',
              controller: 'wydsdetailCtrl'
            }
          }
        })
        .state('tab.wyds_promise', {
          url: '/flfw/wyds/wyds_promise',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wyds/wyds_promise.html',
              controller: 'wydsCtrl'
            }
          }
        })

        .state('tab.wyds_ds', {
          url: '/flfw/wyds/wyds_ds',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wyds/wyds_ds.html',
              controller: 'wydsCtrl'
            }
          }
        });




    });
})();
