(function() {
  'use strict';
  angular
    .module('wysf')
    .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
      $stateProvider

        .state('tab.wysf', {
          url: '/flfw/wysf',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wysf/wysf.html',
              controller: 'wysfCtrl'
            }
          }
        })
        .state('tab.wysf_col', {
          url: '/flfw/wysfcol/:colId',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wysf/wysf_col.html',
              controller: 'wysfCtrl'
            }
          }
        })
        .state('tab.wysf_art', {
          url: '/flfw/wysfart/',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wysf/wysf_art.html',
              controller: 'wysf_artCtrl'
            }
          }
        })
        .state('tab.wysf_result', {
          url: '/flfw/wysfrlt',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wysf/sf_result/wysf_result.html',
              controller: 'wysf_resultCtrl'
            }
          }
        });

    });
})();
