(function() {
  'use strict';

  angular
    .module('wytj')
    .controller('wytjCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicActionSheet, $ionicHistory, $state, $cordovaCamera, $cordovaFileTransfer, templateUrlPath, API, wytjSer, $stateParams) {
      $scope.user = JSON.parse(localStorage.getItem('bj12351.user'));
      $scope.tj = {
        title: '',
        ismember: '否',
        name: '',
        gender: '必填',
        phone: '',
        address: '',
        tj_address3: '',
        work_ent: '',
        company_person: '',
        company_phone: '',
        work_address: '',
        work_address1: '',
        work_address2: '',
        work_address3: '',
        content: ''
      };
      $scope.is_gender = false;
      $scope.tj_name = false;
      if ($scope.user != null) {
        $scope.tj.ismember = '是';
        $scope.tj_name = true;
        $scope.is_gender = true;
        $scope.tj.name = $scope.user.name;
        $scope.tj.gender = $scope.user.gender;
        $scope.tj.phone = $scope.user.phone;
        $scope.tj.work_ent = $scope.user.company;
      }
      $scope.work = false;
      $scope.salary = false;
      $scope.insurance = false;
      $scope.restr = false;
      $scope.case = false;
      $scope.criminal = false;
      $scope.other = false;
      $scope.tjcheck_tit = {};

      $scope.tj_check_titstr = [
        '劳动合同',
        '工资福利',
        '五险一金',
        '休息休假',
        '民事案件',
        '其他',
        '刑事行政案件'
      ];
      $scope.tjcheckbox = function(name, val) {
        $scope.tjcheck_tit[name] = val;
      };

      function check_i() {
        var i = 0;
        for (var variable in $scope.tjcheck_tit) {
          if ($scope.tjcheck_tit[variable]) {
            i++;
          }
        }
        if (i == 0) {
          return true;
        } else {
          return false;
        }
      }



      $scope.isdisabled = function() {
        if ($scope.user != null) {
          if (check_i() || $scope.tj.phone == '' || $scope.tj.tj_address1.code3 == 0 || $scope.tj.work_ent == '' || $scope.tj.content == '' || $scope.tj.company_person == '' || $scope.tj.work_address1.code3 == 0 || $scope.tj.work_address2.code4 == 0 || $scope.tj.work_address3 == '') {
            return true;
          }
        } else {
          if ($scope.tj.gender == '必填' || check_i() || $scope.tj.name == '' || $scope.tj.phone == '' || $scope.tj.tj_address1.code3 == 0 || $scope.tj.work_ent == '' || $scope.tj.content == '' || $scope.tj.company_person == '' || $scope.tj.work_address1.code3 == 0 || $scope.tj.work_address2.code4 == 0 || $scope.tj.work_address3 == '') {
            return true;
          }
        }



      };

      /**根据条件获取对象**/
      var getObjByCondition = function(code3, list_name, area) {
        var result = [];
        var i = 0;
        var j = 0;
        var list = JSON.parse(localStorage.getItem('bj12351.' + list_name)) || {};
        if (code3 === 0) {
          for (i; i < list.length; i++) {
            if (0 === list[i].code4) {
              result[j] = list[i];
              j++;
            }
          }
          if (area == 1) {
            result[0].name = '区、必填';
          } else {
            result[0].name = '区、非必填';
          }
          return result;
        } else {
          for (i; i < list.length; i++) {
            if (code3 == list[i].code3) {
              result[j] = list[i];
              j++;
            }
          }
          result.shift();
          return result;
        }
      };
      var stree_getObjByCondition = function(code3, list_name, per_com) {
        var result = [];
        var i = 0;
        var j = 0;
        var list = JSON.parse(localStorage.getItem('bj12351.' + list_name)) || {};
        if (code3 === 0) {
          for (i; i < list.length; i++) {
            if (0 === list[i].code4) {
              result[j] = list[i];
              j++;
            }
          }
          if (per_com == 1) {
            result[0].name = '街道、必填';
          } else {
            result[0].name = '街道、非必填';
          }
          return result;
        } else {
          for (i; i < list.length; i++) {
            if (code3 == list[i].code3) {
              result[j] = list[i];
              j++;
            }
          }
          if (per_com == 1) {
            result[0].name = '街道、必填';
          } else {
            result[0].name = '街道、非必填';
          }
          //result.shift();
          return result;
        }
      };
      //单位联系人地址
      $scope.first_areas = getObjByCondition(0, 'ct_area', 1) || {}; //二级联动中一级列表
      $scope.second_areas = stree_getObjByCondition(0, 'ct_area', 2) || {}; //二级联动中二级列表
      $scope.tj.tj_address1 = $scope.first_areas[0]; //一级列表初值
      $scope.tj.tj_address2 = $scope.second_areas[0]; //二级列表初值
      $scope.my_city_area_flag = true;

      $scope.chooseFirst = function() {
        $scope.second_areas = stree_getObjByCondition($scope.tj.tj_address1.code3, 'ct_area', 2); //二级列表赋值
        if ($scope.tj.tj_address1 !== $scope.first_areas[0]) { //当一级列表不为请选择时
          $scope.tj.tj_address2 = $scope.second_areas[0] || {};
          $scope.my_city_area_flag = false;
        } else { //当一级列表为请选择时
          $scope.tj.tj_address2 = $scope.second_areas[0] || {};
          $scope.my_city_area_flag = true;
        }
      };



      //所在单位地址

      $scope.third_areas = getObjByCondition(0, 'ct_area', 1) || {};
      $scope.fourth_areas = stree_getObjByCondition(0, 'ct_area', 1) || {}; //二级联动中二级列表
      $scope.tj.work_address1 = $scope.third_areas[0]; //一级列表初值
      $scope.tj.work_address2 = $scope.fourth_areas[0]; //二级列表初值
      $scope.my_city_area_flag2 = true;

      $scope.workchooseFirst = function() {
        $scope.fourth_areas = stree_getObjByCondition($scope.tj.work_address1.code3, 'ct_area', 1); //二级列表赋值
        if ($scope.tj.work_address1 !== $scope.third_areas[0]) { //当一级列表不为请选择时
          $scope.tj.work_address2 = $scope.fourth_areas[0] || {};
          $scope.my_city_area_flag2 = false;
        } else { //当一级列表为请选择时
          $scope.tj.work_address2 = $scope.fourth_areas[0] || {};
          $scope.my_city_area_flag2 = true;
        }
      };



      /**提交**/

      $scope.tj_sub = function() {
        $scope.tj.title = '';
        for (var variable in $scope.tjcheck_tit) {
          if ($scope.tjcheck_tit[variable]) {
            $scope.tj.title = $scope.tj.title + $scope.tj_check_titstr[variable] + ',';
          }
        }
        $scope.tj.title = $scope.tj.title.substr(0, $scope.tj.title.length - 1);


        if ($scope.tj.tj_address2.name == '街道、非必填') {
          $scope.tj.tj_address2.name = '';
        }
        $scope.tj.address = $scope.tj.tj_address1.name + $scope.tj.tj_address2.name + $scope.tj.tj_address3;
        $scope.tj.work_address = $scope.tj.work_address1.name + $scope.tj.work_address2.name + $scope.tj.work_address3;
        // if ($scope.tj.title.length > 64) {
        //   $cordovaDialogs.alert('标题过长', '温馨提示', '好的');
        //   return;
        // }
        if ($scope.tj.name.length > 16) {
          $cordovaDialogs.alert('姓名过长', '温馨提示', '好的');
          return;
        }
        if (!/^1\d{10}$/.test($scope.tj.phone)) {
          $cordovaDialogs.alert("请输入正确的手机号", '温馨提示', '好的');
          return;
        }
        if ($scope.tj.address.length > 128) {
          $cordovaDialogs.alert("申请人的详细地址过长", '温馨提示', '好的');
          return;
        }
        if ($scope.tj.work_ent.length > 64) {
          $cordovaDialogs.alert('单位名称过长', '温馨提示', '好的');
          return;
        }
        if ($scope.tj.company_person.length > 16 && $scope.tj.company_person != '') {
          $cordovaDialogs.alert('单位联系人姓名过长', '温馨提示', '好的');
          return;
        }
        if ($scope.tj.company_phone != '') {
          if (!/^\d{8,11}$/.test($scope.tj.company_phone)) {
            $cordovaDialogs.alert("单位联系人电话请输入8位电话或11位手机号", '温馨提示', '好的');
            return;
          }
          if ($scope.tj.company_phone.length == 9 || $scope.tj.company_phone.length == 10) {
            $cordovaDialogs.alert("单位联系人电话请输入8位电话或11位手机号", '温馨提示', '好的');
            return;
          }
        }
        if ($scope.tj.work_address.length > 128 && $scope.tj.work_address != '') {
          $cordovaDialogs.alert("单位地址过长", '温馨提示', '好的');
          return;
        }
        if ($scope.tj.content.length > 500) {
          $cordovaDialogs.alert('调解内容输入过长', '温馨提示', '好的');
          return;
        }
        $cordovaDialogs.confirm('您确定提交？', '温馨提示：', ['确定', '取消']).then(function(buttonIndex) {
          if (buttonIndex == 1) {

            wytjSer.wytjdata(246, $scope.tj.title, $scope.tj.phone, $scope.tj.address, $scope.tj.work_ent, $scope.tj.company_person, $scope.tj.company_phone, $scope.tj.work_address, $scope.tj.content, $scope.tj.ismember, $scope.tj.name, $scope.tj.gender).then(function(data) {
              if (data.errcode === 2) {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                $cordovaDialogs.alert('请耐心等待法律服务中心电话联系，您可以在已申请列表中查看进展情况。', '温馨提示', '好的').then(function() {
                  // $scope.tj.title = '';
                  // if ($scope.user != null) {
                  //   $scope.tj.phone = $scope.user.phone;
                  //   $scope.tj.work_ent = $scope.user.company;
                  // } else {
                  //   $scope.tj.name = '';
                  //   $scope.tj.phone = '';
                  //   $scope.tj.work_ent = '';
                  // }
                  //
                  // $scope.tj.company_person = '';
                  // $scope.tj.company_phone = '';
                  // $scope.tj.content = '';
                  // $scope.tj.tj_address1 = $scope.first_areas[0];
                  // $scope.tj.tj_address2 = $scope.second_areas[0];
                  // $scope.tj.tj_address3 = '';
                  // $scope.tj.work_address1 = $scope.third_areas[0];
                  // $scope.tj.work_address2 = $scope.fourth_areas[0];
                  // $scope.tj.work_address3 = '';
                  $ionicHistory.goBack(-1);
                });

              } else if (data.errcode == -1) {
                $scope.hasMore = false;
                $cordovaDialogs.confirm('您的登录已失效，是否现在登录', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                      $state.go('tab.login');
                    } else {
                      $state.go('tab.login-other');
                    }
                  }
                });
              } else {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
              }
            }, function() {
              $ionicLoading.show({
                template: '网络繁忙，请稍后重试。',
                duration: 3000
              });
            });


          }

        });
      };






      //承诺书页面

      $scope.promise = {};
      $scope.promise.check = '';


      $scope.promise_agree = function() {
        $state.go('tab.wytj_tj');
      };




    });
})();
