(function() {
  'use strict';
  angular
    .module('wyzx')
    .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
      $stateProvider


        .state('tab.wyzx', {
          url: '/flfw/wyzx',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wyzx/wyzx.html'
            }
          }
        })
        .state('tab.wyzx_check', {
          url: '/flfw/wyzx/check',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wyzx/wyzx_check.html',
              controller: 'wyzxdetailCtrl'
            }
          }
        })
        .state('tab.wyzx_detail', {
          url: '/flfw/wyzx/wyzx_detail/:wyzx_detailId',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wyzx/wyzx_detail.html',
              controller: 'wyzxdetailCtrl'
            }
          }
        })
        .state('tab.wyzx_zx', {
          url: '/flfw/wyzx/wyzx_zx',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wyzx/wyzx_zx.html',
              controller: 'wyzxCtrl'
            }
          }
        });


    });
})();
