(function() {
  'use strict';
  angular
    .module('flfw')
    .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
      $stateProvider
        .state('tab.flfw', {
          url: '/flfw',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/flfw.html',
              controller: 'flfwCtrl'
            }
          }
        })
        .state('tab.wypx', {
          url: '/flfw/wypx',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/wypx/wypx.html',
              controller: 'flfwCtrl'
            }
          }
        })
        .state('tab.fjft1', {
          url: '/flfw/wysf/fjft1',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/fjft/fjft1.html'
            }
          }
        })

        .state('tab.fjft2', {
          url: '/flfw/wysf/fjft2',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/fjft/fjft2.html'
            }
          }
        })

        .state('tab.fjft3', {
          url: '/flfw/wysf/fjft3',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/brands/flfw/content/fjft/fjft3.html'
            }
          }
        });

    });
})();
