(function() {
  'use strict';
  angular
    .module('jnzt_bsjs_detail')
    .factory('jnztBsjsDetailSer', function($http, API, $q, $ionicLoading) {
      return {
        detail: function(id) {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          $http.get(API.getPortalDasaiHost() + '/dasai_skill/article.jsp?id=' + id, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }
      };
    });
})();
