(function() {
  'use strict';
  angular
    .module('jnzt_score_detail')
    .controller('scoreDetailCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, $stateParams, $sce, templateUrlPath, API, searchScoreSer) {
      $scope.services = {};
      $scope.search_score = JSON.parse(localStorage.getItem('bj12351.search_score')) || [];
      $scope.refresh = function() {
        $scope.search_score = JSON.parse(localStorage.getItem('bj12351.search_score')) || [];
        searchScoreSer.searchScore($scope.search_score.search_name, $scope.search_score.search_idcard)
          .then(function(data) {
            if (data.errcode === undefined) {
              // if (data.length === 0) {
              //   $ionicLoading.show({
              //     template: '暂未发布。',
              //     duration: 1000
              //   });
              // }
              $scope.services = data;
              $scope.score_length = $scope.services.length;
            } else {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
          })
          .finally(function() {
            $scope.$broadcast('scroll.refreshComplete');
          });
      };
      $scope.refresh();

    });
})();
