(function() {
  'use strict';
  angular
    .module('jnzt_jsdt')
    .controller('jnzt_jsdtCtrl', function($scope, $state, $ionicHistory, $ionicModal, templateUrlPath) {
      $scope.jnzt_jsdt_list = [{
        id: 1,
        title: "关于2017年北京市“职工技协杯”职业技能竞赛康复治疗师（神经PT方向）复赛晋级情况公示",
        img: "img/jnzt/xxdt.jpg",
        create_time: "2017-10-11"
      }, {
        id: 2,
        title: "关于2017年北京市“职工技协杯”职业技能竞赛康复治疗师（神经PT方向）初赛晋级情况公示",
        img: "img/jnzt/xxdt.jpg",
        create_time: "2017-09-20"
      }, {
        id: 3,
        title: "关于停止举办2017年北京市“职工技协杯”职业技能竞赛高空外墙清洁作业比赛的公告",
        img: "img/jnzt/xxdt.jpg",
        create_time: "2017-08-27"
      }, {
        id: 4,
        title: "关于停止举办2017年北京市“职工技协杯”职业技能竞赛快递员比赛的公告",
        img: "img/jnzt/xxdt.jpg",
        create_time: "2017-08-27"
      }];
      /***模板方法*/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }
        var options = {
          scope: $scope,
          animation: 'slide-in-up'
        };
        if (modal_name == 'search_title') {
          options.animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', options).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };

      $scope.submitModal = function(modal_name) {
        // $scope.refresh();
        $scope.modal[modal_name].remove();
      };


    });
})();
