(function() {
  'use strict';
  angular
    .module('jnzt_jsdt_detail')
    .factory('jnztJsdtDetailSer', function($http, API, $q, $ionicLoading) {
      return {
        detail: function() {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          $http.get(API.getPortalDasaiHost() + '/dasai_search/article_test.jsp', {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }
      };
    });
})();
