(function() {
  'use strict';
  angular
    .module('jnzt_test_detail')
    .controller('testDetailCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, $stateParams, $sce, templateUrlPath, API, searchTestSer) {
      $scope.services = {};
      $scope.search_test = JSON.parse(localStorage.getItem('bj12351.search_test')) || [];
      $scope.refresh = function() {
        $scope.search_test = JSON.parse(localStorage.getItem('bj12351.search_test')) || [];
        searchTestSer.searchTest($scope.search_test.search_name, $scope.search_test.search_idcard)
          .then(function(data) {
            if (data.errcode === undefined) {
              $scope.services = data;
              $scope.test_length = $scope.services.length;
            } else {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
          })
          .finally(function() {
            $scope.$broadcast('scroll.refreshComplete');
          });
      };
      $scope.refresh();

    });
})();
