(function() {
  'use strict';
  angular
    .module('jnzt_test_detail')
    .factory('searchTestSer', function($http, API, $q, $ionicLoading) {
      return {
        /**申请加入**/
        searchTest: function(name, id_card) {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          $http.post(API.getHost() + '/brands/jnzt/dasai/competition_info.jsp', {
              person_name: name,
              cert_num: id_card
            }, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        },
      };
    });
})();
