(function() {
  'use strict';
  angular
    .module('jnzt_xxdt')
    .factory('jnztXxdtSer', function($http, API, $q, $ionicLoading) {
      return {
        getPlanList: function(service_name, page, size) {
          var q = $q.defer();
          $http.get(API.getPortalPlanHost() + '/plan/list.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }

      };
    });
})();
