(function() {
  'use strict';

  angular
    .module('jnzt_ztjh')
    .factory('jnzt_ztjhSer', function($http, API, $q, $ionicLoading) {

      return {
        refreshjnzt: function(page, size) {
          var q = $q.defer();
          $http.get(API.getHost() + '/brands/jnzt/occupation-list.jsp?token=' + localStorage.getItem('bj12351.token'), {
              timeout: 10000
            })
            .success(function(data) {

              //  if (data.status === 0) {
              //  wydgs_check = data;

              //  localStorage.setItem('bj12351.wydgs_check', JSON.stringify(data));
              //  }
              q.resolve(data);
            })
            .error(function(error) {

              q.reject(error);
            });
          return q.promise;
        },
        more: function() {
          var q = $q.defer();
          $http.get(API.getHost() + '/brands/jnzt/occupation-list.jsp?token=' + localStorage.getItem('bj12351.token'), {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        },
        cancel_work_typedata: function(person_apply_id) { //取消已申请的数据
          var q = $q.defer();
          $http.get(API.getHost() + '/brands/jnzt/cancel-apply.jsp?token=' + localStorage.getItem('bj12351.token') + '&person_apply_id=' + person_apply_id, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }
      };

    });
})();
