(function() {
  'use strict';
  angular
    .module('boost_plan_all')
    .factory('boostPlanAllSer', function($http, API, $q, $ionicLoading) {
      return {
        getBoostPlanListAll: function(column_id, service_name, page, size) {
          var q = $q.defer();
          $http.get(API.getPortalBjjsycHost() + '/portal/list_all.jsp?column_id=' + column_id + '&service_name=' + service_name + '&page=' + page + '&size=' + size, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }

      };
    });
})();
