(function() {
  'use strict';
  angular
    .module('exam_center')
    .factory('examCenterSer', function($http, API, $q, $ionicLoading) {
      return {
        detail: function() {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          $http.get(API.getPortalBjjsycHost() + '/portal/exam_center.jsp', {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }
      };
    });
})();
