(function() {
  'use strict';

  angular
    .module('booking')
    .controller('bookingCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, templateUrlPath, API) {
      $scope.booking = {};
      $scope.booking.bar_code = '';
      $scope.booking.name = '';
      $scope.booking.verification_code_show = '';
      $scope.booking.verification_code_input = '';


      $scope.booking_serarch = function() {
        if (localStorage.getItem('bj12351.token')) {
          $scope.openModal('my_booking');
        } else {
          $cordovaDialogs.confirm('您尚未登录哦', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
            if (buttonIndex == 1) {
              // $state.go('tab.login');
              $scope.is_gesture = localStorage.getItem('bj12351.is_gesture_pwd');
              if ($scope.is_gesture === "true") {
                $state.go('tab.login');
              } else {
                $state.go('tab.login-other');
              }
            } else {
              $ionicHistory.goBack();
            }
          });
        }
      };

      $scope.my_booking_search = function() {
        if (!$scope.verifyCode()) {
          return;
        }
        $state.go('tab.booking_detail');
      };

      //验证图片验证码
      $scope.verifyCode = function() {
        var inputCode = $scope.booking.verification_code_input.toUpperCase(); //验证码大写转换
        if (inputCode === $scope.booking.verification_code_show.toUpperCase()) { //验证正确
          $scope.booking.bar_code = ''; //清除记录
          $scope.booking.name = '';
          $scope.booking.verification_code_input = '';
          return true;
        } else {
          $cordovaDialogs.alert('验证码输入错误', '温馨提示', '好的');
          return false;
        }
      };

      /**创建图片验证码**/
      $scope.createCode = function() {
        var codeLength = 4; //验证码长度
        var selectChar = new Array( //所有候选组成验证码的字符，当然也可以用中文的
          0, 1, 2, 3, 4, 5, 6, 7, 8, 9,
          'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z',
          'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z'
        );
        var codeRandom = "";
        for (var i = 0; i < codeLength; i++) {
          var codeIndex = Math.floor(Math.random() * 62);
          codeRandom += selectChar[codeIndex]; //生成4位验证码
        }
        $ionicHistory.clearCache();
        $scope.booking.verification_code_show = codeRandom;
      };
      $scope.createCode();

    });
})();
