(function() {
  'use strict';

  angular
    .module('latest_news')
    .controller('latestNewsCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, templateUrlPath, API) {
      $scope.latest_news_list = [{
        id: 1,
        img: "img/zykf/news1.jpg",
        name: "大数据告诉您：是谁偷走了教师的健康？",
        create_time: "2017-09-08"
      }, {
        id: 2,
        img: "img/zykf/news2.png",
        name: "慈铭体检健康数据显示，眼部疾病将祸害近5亿中国人！",
        create_time: "2018-01-22"
      }, {
        id: 3,
        img: "img/xlga/exp3.jpg",
        name: "首都职工志愿服务运行中心简介",
        create_time: "2017-07-07"
      }, {
        id: 4,
        img: "img/xlga/xlga2.jpg",
        name: "顺义区总工会助力基层开展经济技术创新工作",
        create_time: "2017-06-21"
      }];

      /***模板方法*/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }
        var options = {
          scope: $scope,
          animation: 'slide-in-up'
        };
        if (modal_name == 'search_title') {
          options.animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', options).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };

      $scope.submitModal = function(modal_name) {
        // $scope.refresh();
        $scope.modal[modal_name].remove();
      };

    });
})();
