(function() {
  'use strict';

  angular
    .module('package')
    .controller('packageCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, templateUrlPath, API) {
      $scope.package_list = [{
        id: 1,
        img: "img/zykf/package1.jpg",
        title: "深度体检A套餐",
        content: '检项表项目名称项目内容项目意义通用...',
        price: "￥2100"
      }, {
        id: 2,
        img: "img/zykf/package2.jpg",
        title: "全民体检（女）",
        content: '限时五折促销',
        price: "￥890"
      }, {
        id: 3,
        img: "img/zykf/package1.jpg",
        title: "深度体检A套餐",
        content: '检项表项目名称项目内容项目意义通用...',
        price: "￥2100"
      }, {
        id: 4,
        img: "img/zykf/package2.jpg",
        title: "全民体检（女）",
        content: '限时五折促销',
        price: "￥890"
      }];

      /***模板方法*/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }
        var options = {
          scope: $scope,
          animation: 'slide-in-up'
        };
        if (modal_name == 'search_title') {
          options.animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', options).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };

      $scope.submitModal = function(modal_name) {
        // $scope.refresh();
        $scope.modal[modal_name].remove();
      };

    });
})();
