(function() {
  'use strict';
  angular
    .module('faq')
    .factory('faqSer', function($http, API, $q, $ionicLoading) {
      return {
        getFaqList: function(service_name, page, size) {
          var q = $q.defer();
          $http.get(API.getPortalBjzghHost() + '/faq/faq-list.jsp?service_name=' + service_name + '&page=' + page + '&size=' + size, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }

      };
    });
})();
