(function() {
  'use strict';
  angular
    .module('map')
    .factory('mapSer', function($http, $q, API, $ionicLoading) {
      var employeeList = JSON.parse(localStorage.getItem('bj12351.employeeList')) || [];

      return {
        getEmployeeList: function() {
          return employeeList;
        },

        refresh: function(type, sw_lng, sw_lat, ne_lng, ne_lat, ent_name, service) {
          var q = $q.defer();
          $http.post(API.getHost() + '/employee/list.jsp', {
              // token: localStorage.getItem('bj12351.token'),
              type: type,
              sw_lng: sw_lng,
              sw_lat: sw_lat,
              ne_lng: ne_lng,
              ne_lat: ne_lat,
              ent_name: ent_name,
              service: service
            }, {
              timeout: 10000
            })
            .success(function(data) {
              if (data.errcode === undefined) {
                employeeList = data;
                localStorage.setItem('bj12351.employeeList', JSON.stringify(data));
              }
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }
      };
    });
})();
