(function() {
  'use strict';
  angular
    .module('mapDetail')
    .factory('mapDetailSer', function($http, $q, API, $ionicLoading) {
      return {
        detail: function(map_id) {
          var q = $q.defer();
          // $ionicLoading.show({
          //   template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          // });
          $http.get(API.getHost() + '/employee/info.jsp?map_id=' + map_id, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              // $ionicLoading.hide();
            });
          return q.promise;
        },
        reserve: function(employee_home_id, hy_id, book_time, book_content) {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          // $http.post(API.getHost() + '/employee/reserve.jsp', {
          //     type: 1, //typ=1:用户预约时，当天只能预约一条记录
          //     token: localStorage.getItem('bj12351.token'),
          //     employee_home_id: employee_home_id,
          //     book_content: book_content,
          //     book_time: book_time
          //   }, {
          //     timeout: 10000
          //   })
          $http.get(API.getHost() + '/employee/reserve.jsp?token=' + localStorage.getItem('bj12351.token') + '&type=1&employee_home_id=' + employee_home_id + '&hy_id=' + hy_id + '&book_time=' + book_time + '&book_content=' + book_content, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }




      };
    });
})();
