(function() {
  'use strict';
  angular
    .module('myClaimApply')
    .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
      $stateProvider
        .state('tab.myClaimApply_0', {
          url: '/my-claim/apply',
          views: {
            'tab-my': {
              templateUrl: templateUrlPath + 'modules/my_claim_apply/my_claim_apply_0.html',
              controller: 'myClaimApplyInputCtrl'
            }
          }
        })

        .state('tab.myClaimApply', {
          url: '/my-claim/:claimId/:claimType/:step/apply',
          views: {
            'tab-my': {
              templateUrl: templateUrlPath + 'modules/my_claim_apply/my_claim_apply.html',
              controller: 'myClaimApplyInputCtrl'
            }
          }
        })

        .state('tab.myClaimApplyList', {
          url: '/my-claim/apply/list',
          params: {
            'claimId': null,
            'claimType': null,
            'step': null,
            'billNum': null
          },
          views: {
            'tab-my': {
              templateUrl: templateUrlPath + 'modules/my_claim_apply/my_claim_apply_list.html',
              controller: 'myClaimApplyListCtrl'
            }
          }
        })


        .state('tab.myClaimApply2', {
          url: '/my-claim/:claimId/:claimType/:billNum/:step/apply2/:isReSubmit',
          views: {
            'tab-my': {
              templateUrl: templateUrlPath + 'modules/my_claim_apply/my_claim_apply2.html',
              controller: 'myClaimApplyCtrl'
            }
          }
        })

        .state('tab.myClaimApply3', {
          url: '/my-claim/:claimId/:claimType/:billNum/:step/apply3',
          views: {
            'tab-my': {
              templateUrl: templateUrlPath + 'modules/my_claim_apply/my_claim_apply3.html',
              controller: 'myClaimApplyInfoCtrl'
            }
          }
        });

    });
})();
