(function() {
  'use strict';
  angular
    .module('myMessage')
    .factory('myMessageSer', function($http, API, $q, $ionicLoading) {
      var unReaded = {};

      return {
        //获取未读消息数量
        getUnreaded: function() {
          return unReaded;
        },

        //获取未读消息数量
        checkMessage: function() {
          var q = $q.defer();
          $http.get(API.getHost() + '/user/count-unreaded-msg.jsp?token=' + localStorage.getItem('bj12351.token'))
            .success(function(data) {
              if (data.errcode === undefined) {
                unReaded = data;
              }
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }

      };
    });
})();
