(function() {
  'use strict';
  angular
    .module('myMessageDetail')
    .factory('myMessageDetailSer', function($http, API, $q, $ionicLoading) {
      return {
        getMessages: function(messageType, page, size) {
          var q = $q.defer();
          $http.get(API.getHost() + '/user/message.jsp' +
              '?token=' + localStorage.getItem('bj12351.token') +
              '&page=' + page +
              '&message_type=' + messageType +
              '&size=' + size, {
                timeout: 10000
              })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        },

        //删除消息
        doDelete: function(message_id, index) {
          var q = $q.defer();
          $http.post(API.getHost() + '/user/delete-message.jsp', {
              token: localStorage.getItem('bj12351.token'),
              message_id: message_id
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }

      };
    });
})();
