(function() {
  'use strict';
  angular
    .module('oauthLogin')
    .controller('oauthLoginCtrl', function($cordovaDialogs, $ionicLoading,$scope,oauthLoginSer, md5Ser,$state) {
      $scope.login = {};
      $scope.login.login_name = ""; //用户名
      $scope.login.pw = ""; //密码


      $scope.loginToOauth = function() {
        var userName = $scope.login.login_name;
        if (userName === '') {
          $cordovaDialogs.alert('请输入用户名', '温馨提示', '好的');
          return;
        }
        var userPass = $scope.login.pw;
        if (userPass === '') {
          $cordovaDialogs.alert('请输入密码', '温馨提示', '好的');
          return;
        }
        $scope.doLogin();
      };

      /**登录**/
      $scope.doLogin = function() {
        oauthLoginSer.login($scope.login.login_name.toUpperCase(), md5Ser.md5($scope.login.pw), 2).then(function(data) {
          if (data.errcode === 0) {
            oauthLoginSer.info(localStorage.getItem('bj12351.token')).then(function(data) {
              if (data.errcode === undefined) {
                $scope.login = {};
                $state.go('tab.oauth');
              }else {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
              }
            }, function(error) {
              $ionicLoading.show({
                template: '网络繁忙，请稍后重试。',
                duration: 1000
              });
            });
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 1000
          });
        });
      };


    });
})();
