(function() {
  'use strict';

  angular
    .module('scanEmployee')
    .config(scanEmployeeState);

  scanEmployeeState.$inject = ['$stateProvider', 'templateUrlPath'];

  function scanEmployeeState($stateProvider, templateUrlPath) {
    $stateProvider

      // setup an abstract state for the tabs directive
      .state('tab.scanEmployee', {
        url: '/scanEmployee',
        params: {
          data_scan: null
        },
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'modules/scan_employee/scan_employee.html',
            controller: 'scanEmployeeCtrl'
          }
        }
      });
  }
})();
