(function() {
  'use strict';

  angular
    .module('scanReserve')
    .config(scanReserveState);

  scanReserveState.$inject = ['$stateProvider', 'templateUrlPath'];

  function scanReserveState($stateProvider, templateUrlPath) {
    $stateProvider

      // setup an abstract state for the tabs directive
      .state('tab.scanReserve', {
        url: '/scanReserve',
        params: {
          data_scan: null
        },
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'modules/scan_reserve/scan_reserve.html',
            controller: 'scanReserveCtrl'
          }
        }
      });
  }
})();
