(function() {
  'use strict';

  angular
    .module('scanResult')
    .config(scanResultState);

  scanResultState.$inject = ['$stateProvider', 'templateUrlPath'];

  function scanResultState($stateProvider, templateUrlPath) {
    $stateProvider

      // setup an abstract state for the tabs directive
      .state('tab.scanResult', {
        url: '/scanResult',
        views: {
          'tab-home': {
            templateUrl: templateUrlPath + 'modules/scan_result/scan_result.html',
            controller: 'scanResultCtrl'
          }
        }
      });
  }
})();
