(function() {
  'use strict';
  angular
    .module('serviceBatch')
    .factory('serviceBatchSer', function($http, API, $q, $ionicLoading) {
      return {
        getServiceBatch: function(project_id, service_name, page, size, search_type) {
          var q = $q.defer();
          $http.get(API.getHost() + '/service/batch-list.jsp?project_id=' + project_id + '&service_name=' + service_name + '&page=' + page + '&size=' + size + '&search_type=' + search_type + '&token=' + localStorage.getItem('bj12351.token'), {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }

      };
    });
})();
