(function() {
  'use strict';

  angular
    .module('exchange_field_detail')
    .controller('exFieldDetailCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, $stateParams, $sce, templateUrlPath, API, exchangeFieldDetailSer) {

      /**刷新服务详情**/
      $scope.refresh = function() {
        exchangeFieldDetailSer.detail($stateParams.articleId).then(function(data) {
            if (data.errcode === undefined) {
              $scope.service = data;
              $scope.service.content = $sce.trustAsHtml(data.content);
            } else {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
                $ionicHistory.goBack();
              });
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
            $ionicHistory.goBack();
          })
          .finally(function() {
            $scope.$broadcast('scroll.refreshComplete');
          });
      };
      $scope.refresh();
    });
})();
