(function() {
  'use strict';

  angular
    .module('wytj')
    .controller('wytjdetailCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicActionSheet, $ionicHistory, $state, $cordovaCamera, $cordovaFileTransfer, templateUrlPath, API, wytjSer, $stateParams) {


      $scope.case_code = $stateParams.wytj_detailId;

      //我要提交列表查看页面

      //$scope.services = myServiceSer.getMyServices();
      var page = 1;
      var size = 10;
      $scope.hasMore = false;

      $scope.refresh = function() {
        //if (localStorage.getItem('bj12351.token')) {
        wytjSer.refreshWytj(246, 1, size).then(function(data) {

            if (data.status == 2) {
              if (data.json.length == 0) {
                // $ionicLoading.show({
                //   template: '暂无服务。',
                //   duration: 1000
                // });
                $scope.hasMore = false;
              } else if (data.json.length < size) {
                $scope.hasMore = false;
              } else {
                $scope.hasMore = true;
              }
              page = 2;
              for (var i = 0; i < data.json.length; i++) {
                if (data.json[i].transaction_status == 5) {
                  data.json[i].transaction_status = '已提交';
                } else if (data.json[i].transaction_status == 1) {
                  data.json[i].transaction_status = '已处理';
                } else {
                  data.json[i].transaction_status = '处理中';
                }
              }
              $scope.wytj_check = data.json;



            } else if (data.status == -31) {
              $scope.hasMore = false;
              // $cordovaDialogs.confirm('您的登录已失效，是否现在登录。', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
              //   if (buttonIndex == 1) {
              //     if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
              //       $state.go('tab.login');
              //     } else {
              //       $state.go('tab.login-other');
              //     }
              //   }
              //   // else {
              //   //   $ionicHistory.goBack();
              //   // }
              // });
            } else {
              $scope.hasMore = false;

              //$cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');

            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
          })
          .finally(function() {
            $scope.$broadcast('scroll.refreshComplete');
          });
        //  }
        // else {
        //   $cordovaDialogs.confirm('您还没有登录，是否现在登录。', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
        //     if (buttonIndex == 1) {
        //       if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
        //         $state.go('tab.login');
        //       } else {
        //         $state.go('tab.login-other');
        //       }
        //     } else {
        //       $ionicHistory.goBack();
        //     }
        //   });
        // }
      };
      $scope.refresh();

      //获取服务列表
      $scope.doRefresh = function() {

        $scope.refresh();
      };

      $scope.more = function() {
        wytjSer.more(246, page, size).then(function(data) {

            if (data.status == 2) {
              if (data.json.length == 0) {
                $ionicLoading.show({
                  template: '无更多服务。',
                  duration: 1000
                });
                $scope.hasMore = false;
              } else if (data.json.length < size) {
                $scope.hasMore = false;
              }
              page++;
              for (var i = 0; i < data.json.length; i++) {
                if (data.json[i].transaction_status == 5) {
                  data.json[i].transaction_status = '已提交';
                } else if (data.json[i].transaction_status == 1) {
                  data.json[i].transaction_status = '已处理';
                } else {
                  data.json[i].transaction_status = '处理中';
                }
              }
              $scope.wytj_check = $scope.wytj_check.concat(data.json);

            } else if (data.status == -21) {
              $scope.hasMore = false;
              $cordovaDialogs.alert('没有更多数据', '温馨提示', '好的');
            } else if (data.status == -32) {
              //$scope.hasMore = false;
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
          })
          .finally(function() {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
      };




      //我要调解内容页

      function detail_con(case_code) {
        if (case_code == undefined || case_code == '') {
          return;
        }
        wytjSer.wytjdetaildata(246, case_code).then(function(data) {
          if (data.status == 2) {
            if (data.transaction_status == 5) {
              data.transaction_status = '已提交';
            } else if (data.transaction_status == 1) {
              data.transaction_status = '已处理';
            } else {
              data.transaction_status = '处理中';
            }
            $scope.detailArt = data;

          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 1000
          });
        });
      }

      detail_con($scope.case_code);





    });
})();
