(function() {
  'use strict';

  angular
    .module('wyzx')
    .controller('wyzxCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicActionSheet, $ionicHistory, $state, $cordovaCamera, $cordovaFileTransfer, templateUrlPath, API, wyzxSer, $stateParams) {

      $scope.user = JSON.parse(localStorage.getItem('bj12351.user'));

      $scope.zx = {
        ismember: '否',
        title: '',
        name: '',
        gender: '必填',
        phone: '',
        address: '',
        per_address3: '',
        work_ent: '',
        company_person: '',
        company_phone: '',
        work_address: '',
        work_address1: '',
        work_address2: '',
        work_address3: '',
        content: ''
      };
      $scope.is_gender = false;
      $scope.is_name = false;
      if ($scope.user != null) {
        $scope.zx.ismember = '是';
        $scope.is_gender = true;
        $scope.is_name = true;
        $scope.zx.name = $scope.user.name;
        $scope.zx.gender = $scope.user.gender;
        $scope.zx.phone = $scope.user.phone;
        $scope.zx.work_ent = $scope.user.company;
      }
      $scope.work = false;
      $scope.salary = false;
      $scope.insurance = false;
      $scope.restr = false;
      $scope.case = false;
      $scope.criminal = false;
      $scope.other = false;
      $scope.zxcheck_tit = {};

      $scope.zx_check_titstr = [
        '劳动合同',
        '工资福利',
        '五险一金',
        '休息休假',
        '民事案件',
        '其他',
        '刑事行政案件'
      ];
      $scope.zxcheckbox = function(name, val) {
        $scope.zxcheck_tit[name] = val;
      };

      function check_i() {
        var i = 0;
        for (var variable in $scope.zxcheck_tit) {
          if ($scope.zxcheck_tit[variable]) {
            i++;
          }
        }
        if (i == 0) {
          return true;
        } else {
          return false;
        }
      }



      $scope.isdisabled = function() {
        if ($scope.user != null) {
          if ($scope.zx.phone == '' || $scope.zx.per_address1.code3 == 0 || $scope.zx.work_ent == '' || $scope.zx.content == '' || check_i()) {
            return true;
          }
        } else {
          if ($scope.zx.gender == '必填' || $scope.zx.phone == '' || $scope.zx.per_address1.code3 == 0 || $scope.zx.work_ent == '' || $scope.zx.content == '' || $scope.zx.name == '' || check_i()) {
            return true;
          }

        }
      };


      /**根据条件获取对象**/
      var getObjByCondition = function(code3, list_name, area) {
        var result = [];
        var i = 0;
        var j = 0;
        var list = JSON.parse(localStorage.getItem('bj12351.' + list_name)) || {};
        if (code3 === 0) {
          for (i; i < list.length; i++) {
            if (0 === list[i].code4) {
              result[j] = list[i];
              j++;
            }
          }
          if (area == 1) {
            result[0].name = '区、必填';
          } else {
            result[0].name = '区、非必填';
          }

          return result;
        } else {
          for (i; i < list.length; i++) {
            if (code3 == list[i].code3) {
              result[j] = list[i];
              j++;
            }
          }
          result.shift();
          return result;
        }
      };
      var stree_getObjByCondition = function(code3, list_name, per_com) {
        var result = [];
        var i = 0;
        var j = 0;
        var list = JSON.parse(localStorage.getItem('bj12351.' + list_name)) || {};
        if (code3 === 0) {
          for (i; i < list.length; i++) {
            if (0 === list[i].code4) {
              result[j] = list[i];
              j++;
            }
          }
          if (per_com == 1) {
            result[0].name = '街道、必填';
          } else {
            result[0].name = '街道、非必填';
          }
          return result;
        } else {
          for (i; i < list.length; i++) {
            if (code3 == list[i].code3) {
              result[j] = list[i];
              j++;
            }
          }

          if (per_com == 1) {
            result[0].name = '街道、必填';
          } else {
            result[0].name = '街道、非必填';
          }

          //result.shift();
          return result;
        }
      };


      //联系人地址
      $scope.first_areas = getObjByCondition(0, 'ct_area', 1) || {};

      $scope.second_areas = stree_getObjByCondition(0, 'ct_area', 2);

      //$scope.first_areas[0].name = "区、必填";
      //  $scope.second_areas[0].name = '街道、必填';
      $scope.zx.per_address1 = $scope.first_areas[0];
      $scope.zx.per_address2 = $scope.second_areas[0];


      $scope.my_city_area_flag = true;

      $scope.chooseFirst = function() {
        $scope.second_areas = stree_getObjByCondition($scope.zx.per_address1.code3, 'ct_area', 2); //二级列表赋值

        if ($scope.zx.per_address1 !== $scope.first_areas[0]) { //当一级列表不为请选择时
          $scope.zx.per_address2 = $scope.second_areas[0] || {};
          $scope.my_city_area_flag = false;
        } else { //当一级列表为请选择时
          $scope.zx.per_address2 = $scope.second_areas[0] || {};
          $scope.my_city_area_flag = true;
        }

      };

      //所在单位地址
      $scope.third_areas = getObjByCondition(0, 'ct_area', 2);


      $scope.fourth_areas = stree_getObjByCondition(0, 'ct_area', 2); //二级联动中二级列表
      //  $scope.fourth_areas[0].name = '街道、非必填';
      $scope.zx.work_address1 = $scope.third_areas[0];
      $scope.zx.work_address2 = $scope.fourth_areas[0];
      //  $scope.zx.work_address1 = '区，非必填'; //一级列表初值
      //$scope.zx.work_address2 = $scope.zx.work_address1; //二级列表初值
      $scope.my_city_area_flag2 = true;

      $scope.workchooseFirst = function() {
        $scope.fourth_areas = stree_getObjByCondition($scope.zx.work_address1.code3, 'ct_area', 2); //二级列表赋值
        if ($scope.zx.work_address1 !== $scope.third_areas[0]) { //当一级列表不为请选择时
          $scope.zx.work_address2 = $scope.fourth_areas[0] || {};
          $scope.my_city_area_flag2 = false;
        } else { //当一级列表为请选择时
          $scope.zx.work_address2 = $scope.fourth_areas[0] || {};
          $scope.my_city_area_flag2 = true;
        }

      };




      /**咨询提交**/
      $scope.zx_sub = function() {
        $scope.zx.title = '';
        for (var variable in $scope.zxcheck_tit) {
          if ($scope.zxcheck_tit[variable]) {
            $scope.zx.title = $scope.zx.title + $scope.zx_check_titstr[variable] + ',';
          }
        }
        $scope.zx.title = $scope.zx.title.substr(0, $scope.zx.title.length - 1);

        if ($scope.zx.work_address1.name == '区、非必填') {
          $scope.zx.work_address1.name = '';
        }
        if ($scope.zx.work_address2.name == '街道、非必填') {
          $scope.zx.work_address2.name = '';
        }
        if ($scope.zx.per_address2.name == '街道、非必填') {
          $scope.zx.per_address2.name = '';
        }
        $scope.zx.address = $scope.zx.per_address1.name + $scope.zx.per_address2.name + $scope.zx.per_address3;
        $scope.zx.work_address = $scope.zx.work_address1.name + $scope.zx.work_address2.name + $scope.zx.work_address3;

        // if ($scope.zx.title.length > 64) {
        //   $cordovaDialogs.alert('标题过长', '温馨提示', '好的');
        //   return;
        // }
        if ($scope.zx.name.length > 16) {
          $cordovaDialogs.alert('姓名输入过长', '温馨提示', '好的');
          return;
        }
        if (!/^1\d{10}$/.test($scope.zx.phone)) {
          $cordovaDialogs.alert("请输入正确的手机号", '温馨提示', '好的');
          return;
        }
        if ($scope.zx.address.length > 128) {
          $cordovaDialogs.alert("申请人的详细地址过长", '温馨提示', '好的');
          return;
        }
        if ($scope.zx.work_ent.length > 64) {
          $cordovaDialogs.alert('单位名称过长', '温馨提示', '好的');
          return;
        }
        if ($scope.zx.company_person.length > 16 && $scope.zx.company_person != '') {
          $cordovaDialogs.alert('单位联系人姓名过长', '温馨提示', '好的');
          return;
        }
        if ($scope.zx.company_phone != '') {
          if (!/^\d{8,11}$/.test($scope.zx.company_phone)) {
            $cordovaDialogs.alert("单位联系人电话请输入8位电话或11位手机号", '温馨提示', '好的');
            return;
          }
          if ($scope.zx.company_phone.length == 9 || $scope.zx.company_phone.length == 10) {
            $cordovaDialogs.alert("单位联系人电话请输入8位电话或11位手机号", '温馨提示', '好的');
            return;
          }
        }
        if ($scope.zx.work_address.length > 128 && $scope.zx.work_address != '') {
          $cordovaDialogs.alert("单位地址过长", '温馨提示', '好的');
          return;
        }
        if ($scope.zx.content.length > 500) {
          $cordovaDialogs.alert('咨询内容输入过长', '温馨提示', '好的');
          return;
        }
        $cordovaDialogs.confirm('您确定提交？', '温馨提示：', ['确定', '取消']).then(function(buttonIndex) {
          if (buttonIndex == 1) {
            wyzxSer.wyzxdata(243, $scope.zx.title, $scope.zx.phone, $scope.zx.address, $scope.zx.work_ent, $scope.zx.company_person, $scope.zx.company_phone, $scope.zx.work_address, $scope.zx.content, $scope.zx.ismember, $scope.zx.name, $scope.zx.gender).then(function(data) {
              if (data.errcode === 2) {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                $cordovaDialogs.alert('请耐心等待法律服务中心电话联系，您可以在已申请列表中查看进展情况。', '温馨提示', '好的').then(function() {
                  $ionicHistory.goBack(-1);
                });

              } else if (data.errcode == -1) {
                $cordovaDialogs.confirm('您的登录已失效，是否现在登录', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
                  if (buttonIndex == 1) {
                    if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                      $state.go('tab.login');
                    } else {
                      $state.go('tab.login-other');
                    }
                  } else {
                    $ionicHistory.goBack(-1);
                  }
                });
              } else {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
              }
            }, function() {
              $ionicLoading.show({
                template: '网络繁忙，请稍后重试。',
                duration: 3000
              });
            });
            //
            //  $ionicHistory.goBack(-2);
          }

        });
      };


    });
})();
