(function() {
  'use strict';

  angular
    .module('wyzx')
    .controller('wyzxdetailCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicActionSheet, $ionicHistory, $state, $cordovaCamera, $cordovaFileTransfer, templateUrlPath, API, wyzxSer, $stateParams) {


      $scope.case_code = $stateParams.wyzx_detailId; //我要咨询内容页面id




      //=================================我要咨询列表页面======================

      //$scope.services = myServiceSer.getMyServices();
      var page = 1;
      var size = 10;
      $scope.hasMore = false;
      // $scope.dostate = '';
      // $scope.transaction_status = function(stat_id) {
      //   if (stat_id == 5) {
      //     $scope.dostate = '已提交';
      //     return true;
      //   } else if (stat_id == 1) {
      //     $scope.dostate = '已处理';
      //     return true;
      //   } else {
      //     $scope.dostate = '处理中';
      //     return true;
      //   }
      // };

      $scope.refresh = function() {
        //if (localStorage.getItem('bj12351.token')) {
        wyzxSer.refreshWyzx(243, 1, size).then(function(data) {

            if (data.status == 2) {
              if (data.json.length == 0) {
                // $ionicLoading.show({
                //   //template: '暂无服务。',
                //   duration: 1000
                // });
                $scope.hasMore = false;
              } else if (data.json.length < size) {
                $scope.hasMore = false;
              } else {
                $scope.hasMore = true;
              }
              page = 2;

              if (data.transaction_status == 5) {
                data.transaction_status = '已提交';
              } else if (data.transaction_status == 1) {
                data.transaction_status = '已处理';
              } else {
                data.transaction_status = '处理中';
              }
              for (var i = 0; i < data.json.length; i++) {
                if (data.json[i].transaction_status == 5) {
                  data.json[i].transaction_status = '已提交';
                } else if (data.json[i].transaction_status == 1) {
                  data.json[i].transaction_status = '已处理';
                } else {
                  data.json[i].transaction_status = '处理中';
                }
              }

              $scope.wyzx_check = data.json;


            } else if (data.status == -31) {
              $scope.hasMore = false;
              // $cordovaDialogs.confirm('您的登录已失效，是否现在登录。', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
              //   if (buttonIndex == 1) {
              //     if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
              //       $state.go('tab.login');
              //     } else {
              //       $state.go('tab.login-other');
              //     }
              //   }
              //   // else {
              //   //   $ionicHistory.goBack();
              //   // }
              // });
            } else {
              $scope.hasMore = false;

              //$cordovaDialogs.alert('无更多数据', '温馨提示', '好的');

            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
          })
          .finally(function() {
            $scope.$broadcast('scroll.refreshComplete');
          });
      };
      $scope.refresh();

      //获取服务列表
      $scope.doRefresh = function() {

        $scope.refresh();
      };

      $scope.more = function() {

        wyzxSer.more(243, page, size).then(function(data) {

            if (data.status == 2) {
              if (data.json.length == 0) {
                // $ionicLoading.show({
                //   template: '暂无服务。',
                //   duration: 1000
                // });
                $scope.hasMore = false;
              } else if (data.json.length < size) {
                $scope.hasMore = false;
              }
              page++;
              for (var i = 0; i < data.json.length; i++) {
                if (data.json[i].transaction_status == 5) {
                  data.json[i].transaction_status = '已提交';
                } else if (data.json[i].transaction_status == 1) {
                  data.json[i].transaction_status = '已处理';
                } else {
                  data.json[i].transaction_status = '处理中';
                }
              }
              $scope.wyzx_check = $scope.wyzx_check.concat(data.json);

            } else if (data.status == -21) {
              $scope.hasMore = false;
              $cordovaDialogs.alert('没有更多数据', '温馨提示', '好的');
            } else if (data.status == -32) {
              //$scope.hasMore = false;
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
          })
          .finally(function() {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
      };







      // ==============我要咨询详细页面=================
      function detail_con(case_code) {
        if (case_code == undefined || case_code == '') {
          return;
        }

        wyzxSer.wyzxdetaildata(243, case_code).then(function(data) {
          if (data.status == 2) {
            if (data.transaction_status == 5) {
              data.transaction_status = '已提交';
            } else if (data.transaction_status == 1) {
              data.transaction_status = '已处理';
            } else {
              data.transaction_status = '处理中';
            }
            $scope.detailArt = data;


          } else {

            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');

          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 1000
          });
        });
      }

      detail_con($scope.case_code);









    });
})();
