(function() {
  'use strict';
  angular
    .module('jnzt_cjgb')
    .controller('jnzt_cjgbCtrl', function($scope, $state, $ionicHistory, $ionicModal, templateUrlPath) {
      $scope.jnzt_cjgb_list = [{
        id: 1,
        title: "北京市第四届职业技能大赛—康复护理师大赛复赛成绩公示",
        img: "img/jnzt/cjgb.jpg",
        create_time: "2016-10-12"
      }, {
        id: 2,
        title: "第五届全国职工职业技能大赛北京市选拔赛数控机床装调维修工成绩汇总",
        img: "img/jnzt/cjgb.jpg",
        create_time: "2015-09-06"
      }, {
        id: 3,
        title: "2015北京市“职工技协杯”职业技能竞赛康复治疗师技能竞赛复赛人员成绩单(前50名晋级决赛）",
        img: "img/jnzt/cjgb.jpg",
        create_time: "2015-09-06"
      }, {
        id: 4,
        title: "第五届全国职工职业技能竞赛北京市选拔赛加工中心操作工决赛成绩",
        img: "img/jnzt/cjgb.jpg",
        create_time: "2015-09-05"
      }];




      /***模板方法*/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }
        var options = {
          scope: $scope,
          animation: 'slide-in-up'
        };
        if (modal_name == 'search_title') {
          options.animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', options).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };

      $scope.submitModal = function(modal_name) {
        // $scope.refresh();
        $scope.modal[modal_name].remove();
      };


    });
})();
