(function() {
  'use strict';
  angular
    .module('jnzt_ztjh')
    .controller('jnzt_ztjhCtrl', function($scope, $state, $stateParams, $ionicHistory, $ionicLoading, templateUrlPath, $ionicModal, $cordovaDialogs, jnzt_ztjhSer) {


      $scope.hasMore = false;

      $scope.refresh = function() {

        //if (localStorage.getItem('bj12351.token')) {
        jnzt_ztjhSer.refreshjnzt().then(function(data) {

            if (data.errcode === undefined) {
              // if (data.length == 0) {
              //   $ionicLoading.show({
              //     template: '无申请数据。',
              //     duration: 1000
              //   });
              // }
              $scope.jnzt_check = data;
              $scope.apply_length = $scope.jnzt_check.length;

            } else if (data.errcode == -1) {
              $scope.hasMore = false;
              $cordovaDialogs.confirm('您的登录已失效，是否现在登录。', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
                if (buttonIndex == 1) {
                  if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                    $state.go('tab.login');
                  } else {
                    $state.go('tab.login-other');
                  }
                }
              });
            } else {
              $scope.hasMore = false;
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
          })
          .finally(function() {
            $scope.$broadcast('scroll.refreshComplete');
          });

      };

      $scope.refresh();

      //获取服务列表
      $scope.doRefresh = function() {
        $scope.refresh();
      };




      $scope.cancel_apply = function(person_apply_id) {
        $cordovaDialogs.confirm('您确定取消？', '温馨提示：', ['确定', '取消']).then(function(buttonIndex) {
          if (buttonIndex == 1) {
            jnzt_ztjhSer.cancel_work_typedata(person_apply_id).then(function(data) {
              if (data.errcode == 0) {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                $scope.refresh();
              } else {
                $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
              }
            }, function(error) {
              $ionicLoading.show({
                template: '网络繁忙，请稍后重试。',
                duration: 1000
              });
            });

          }
        });
      };







    });
})();
