(function() {
  'use strict';
  angular
    .module('jnzt_ztjh_detail')
    .controller('jnzt_ztjh_detailCtrl', function($scope, $state, $location, $ionicHistory, templateUrlPath, $ionicModal, $cordovaDialogs, $stateParams, jnzt_ztjh_detailSer, $ionicLoading) {

      $scope.per_mes = JSON.parse(localStorage.getItem('bj12351.user')) || {};

      $scope.ct_edu = JSON.parse(localStorage.getItem('bj12351.ct_education')) || {};

      $scope.person_id = $stateParams.person_id;


      //$scope.jnzt_ztjh_check_list = $scope.jnzt_ztjh_check_list[$stateParams.id];



      //新增申请的个人信息的
      $scope.pp_mes = {};

      $scope.pp_mes.email = "";
      $scope.pp_mes.qq_num = "";
      $scope.pp_mes.postal_code = "";
      $scope.pp_mes.address = "";
      $scope.pp_mes.skill_advantage = "";
      $scope.pp_mes.prize = "";


      function birthday_fot(idCard) {
        var year = '',
          month = '',
          day = '',
          birthday;
        if (idCard != null && idCard != "") {
          if (idCard.length == 15) {
            year = '19' + idCard.substr(6, 2);
            month = idCard.substr(8, 2);
            day = idCard.substr(10, 2);
          } else if (idCard.length == 18) {
            year = idCard.substr(6, 4);
            month = idCard.substr(10, 2);
            day = idCard.substr(12, 2);
          }
          birthday = year + '-' + month + '-' + day;
        }
        return birthday;
      }

      $scope.pp_mes.birthday = birthday_fot($scope.per_mes.id_card);


      jnzt_ztjh_detailSer.codelist('ct_nation').then(function(data) {
        $scope.nation_arr = data;
        //$scope.pp_mes.nation = $scope.nation_arr[0];
      }, function(error) {
        $ionicLoading.show({
          template: '网络繁忙，请稍后重试。',
          duration: 3000
        });
      });
      jnzt_ztjh_detailSer.codelist('ct_political').then(function(data) {
        data[0].name = "非必填项";
        $scope.political = data;

        //console.log(data);
        //$scope.pp_mes.political = $scope.political[0];
      }, function(error) {
        $ionicLoading.show({
          template: '网络繁忙，请稍后重试。',
          duration: 3000
        });
      });
      jnzt_ztjh_detailSer.codelist('ct_salary').then(function(data) {
        $scope.money = data;
        //$scope.pp_mes.money = $scope.money[0];
      }, function(error) {
        $ionicLoading.show({
          template: '网络繁忙，请稍后重试。',
          duration: 3000
        });
      });
      jnzt_ztjh_detailSer.codelist('ct_model').then(function(data) {
        $scope.model_worker = data;
        //  $scope.pp_mes.model_worker = $scope.model_worker[0];
      }, function(error) {
        $ionicLoading.show({
          template: '网络繁忙，请稍后重试。',
          duration: 3000
        });
      });
      jnzt_ztjh_detailSer.codelist('ct_education').then(function(data) {

        $scope.degree = data;
        //$scope.pp_mes.degree = $scope.degree[0];
      }, function(error) {
        $ionicLoading.show({
          template: '网络繁忙，请稍后重试。',
          duration: 3000
        });
      });


      $scope.getperson_info = function() {
        jnzt_ztjh_detailSer.jnzt_getperson_info().then(function(data) {
          if (data.errcode === undefined) {
            if (data.mobile != '') {
              $scope.per_mes.phone = data.mobile;
            }
            if (data.company_name != '') {
              $scope.per_mes.company = data.company_name;
            }
            //$scope.pp_mes.birthday = data.birthday;
            $scope.pp_mes.nation = $scope.nation_arr[data.nation_value];
            $scope.pp_mes.political = $scope.political[data.political_value];
            $scope.pp_mes.email = data.email;
            $scope.pp_mes.money = $scope.money[data.salary_value];
            $scope.pp_mes.qq_num = data.qq_num;
            if (data.education_value == 0) {
              for (var i = 0; i < $scope.degree.length; i++) {
                if ($scope.degree[i].code == $scope.per_mes.degree) {
                  $scope.pp_mes.degree = $scope.degree[i];
                }
              }
            } else {
              $scope.pp_mes.degree = $scope.degree[data.education_value];
            }
            $scope.pp_mes.postal_code = data.post_code;
            $scope.pp_mes.model_worker = $scope.model_worker[data.model_value];
            $scope.pp_mes.address = data.address;
            $scope.pp_mes.skill_advantage = data.technical_expertise;
            $scope.pp_mes.prize = data.award_experience;
            if (data.is_attend_value == 'true') {
              $scope.pp_mes.agree_check = true;
            } else {
              $scope.pp_mes.agree_check = false;
            }
            //$scope.pp_mes.agree_check = true;
          } else if (data.errcode == -1) {
            $cordovaDialogs.confirm('您尚未登录哦', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
              if (buttonIndex == 1) {
                if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                  $state.go('tab.login');
                } else {
                  $state.go('tab.login-other');
                }
              }
            });
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 3000
          });
        });
      };



      $scope.getperson_info();





      /**校验数据是否正确**/
      function verifyBirth(birth) {
        var regex = /^(\d{4})-(\d{2})-(\d{2})$/;

        return regex.test(birth);
      }

      function verifyPhone(phone) {
        var regex = /^1\d{10}$/;
        if (regex.test(phone) == false) {
          return false;
        }
        return true;
      }

      function verifyQQ(qq) {
        var regex = /^[1-9]{1}\d{4,18}$/;
        if (regex.test(qq) == false) {
          return false;
        }
        return true;
      }

      function verifypostcode(post) {
        var regex = /^\d{6}$/;
        if (regex.test(post) == false) {
          return false;
        }
        return true;
      }


      function verifyemail(email) {
        var rege = /(\S)+[@]{1}(\S)+[.]{1}(\w)+/;
        if (rege.test(email) == false) {
          return false;
        }
        return true;
      }

      //var a = 1;
      //新增申请的个人信息下一步
      $scope.next = function(num) {
        if (num == 2) {

          // if (a == 1) {
          //   return;
          // }
          if ($scope.per_mes.phone == '') {
            $cordovaDialogs.alert('请填写手机号', '温馨提示', '好的');
            return;
          } else if ($scope.per_mes.phone != "" && !verifyPhone($scope.per_mes.phone)) {
            $cordovaDialogs.alert('请填写正确手机号码', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.birthday == "") {
            $cordovaDialogs.alert('请填写出生日期', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.birthday != "" && !verifyBirth($scope.pp_mes.birthday)) {
            $cordovaDialogs.alert('请正确填写出生日期，如：1990-01-01', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.nation.code == '0') {
            $cordovaDialogs.alert('请选择民族', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.email != '' && !verifyemail($scope.pp_mes.email)) {
            $cordovaDialogs.alert('电子邮箱格式有误', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.money.code == "0") {
            $cordovaDialogs.alert('请选择月收入', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.qq_num != "" && !verifyQQ($scope.pp_mes.qq_num)) {
            $cordovaDialogs.alert('QQ号请填写数字', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.degree.code == "0") {
            $cordovaDialogs.alert('请选择学历', '温馨提示', '好的');
            return;
          } else if (!verifypostcode($scope.pp_mes.postal_code) && $scope.pp_mes.postal_code != '') {
            $cordovaDialogs.alert('请输入6位数字的邮政编码', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.model_worker.code == "0") {
            $cordovaDialogs.alert('请选择劳模类型', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.address != '' && $scope.pp_mes.address.length > 64) {
            $cordovaDialogs.alert('家庭地址内容不得超过64个字', '温馨提示', '好的');
            return;
          } else if ($scope.per_mes.company != '' && $scope.per_mes.company.length > 64) {
            $cordovaDialogs.alert('工作单位名称不得超过64个字', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.skill_advantage != '' && $scope.pp_mes.skill_advantage.length > 200) {
            $cordovaDialogs.alert('技术特长内容不得超过200个字', '温馨提示', '好的');
            return;
          } else if ($scope.pp_mes.prize != '' && $scope.pp_mes.prize.length > 200) {
            $cordovaDialogs.alert('获奖经历内容不得超过200个字', '温馨提示', '好的');
            return;
          }

          if ($scope.per_mes.gender == '男') {
            $scope.pp_mes.gender = 1;
          } else if ($scope.per_mes.gender == '女') {
            $scope.pp_mes.gender = 2;
          }
          if ($scope.pp_mes.agree_check) {
            $scope.pp_mes.agree_check = 1;
          } else {
            $scope.pp_mes.agree_check = 0;
          }
          jnzt_ztjh_detailSer.jnzt_ztjh_detaildata($scope.pp_mes.gender, $scope.pp_mes.birthday, $scope.pp_mes.nation.code, $scope.pp_mes.degree.code, $scope.per_mes.phone, $scope.pp_mes.email, $scope.pp_mes.political.code, $scope.pp_mes.postal_code, $scope.pp_mes.address, $scope.per_mes.company, $scope.pp_mes.prize, $scope.pp_mes.skill_advantage, $scope.pp_mes.agree_check, $scope.pp_mes.qq_num, $scope.pp_mes.money.code, $scope.pp_mes.model_worker.code).then(function(data) {

            if (data.errcode == 0) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
              $scope.person_id = data.person_id;

              $location.path('/tab/jnzt/content/' + $scope.person_id + '/ztjh_detail1');
              //$state.go('tab.jnzt_ztjh_detail1');
            } else if (data.errcode == -2) {

              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');

            } else {

              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');

            }
          }, function() {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 3000
            });
          });
        }
      };





      //新增申请的表格信息
      $scope.applyForm = {};
      $scope.applyForm.workId = '';
      $scope.applyForm.work_type = '';
      $scope.applyForm.work_level = '';
      $scope.applyForm.cert_code = '';
      $scope.applyForm.cert_date = '';
      $scope.applyForm.train_organ_name = '';
      $scope.applyForm.train_organ_address = '';
      $scope.applyForm.train_hours = '';
      $scope.applyForm.train_fee = '';
      $scope.applyForm.identify_organ_adress = '';
      $scope.applyForm.identify_type = '';
      $scope.applyForm.identify_fee = '';
      //  $scope.applyForm.identify_organ_name = '';


      jnzt_ztjh_detailSer.codelist('ct_push_identify_organ').then(function(data) {
        $scope.identify_name = data;
        $scope.applyForm.identify_organ_name = $scope.identify_name[0];
      });

      jnzt_ztjh_detailSer.codelist('ct_push_identify_type').then(function(data) {
        $scope.identify_type = data;

        $scope.identify_type[0].name = '非必填项';
        $scope.applyForm.identify_type = $scope.identify_type[0];
      });

      //选择工种
      $scope.choose_worktype = function(work_list) {
        $scope.applyForm.work_type = work_list.project_job_name;
        $scope.applyForm.work_level = work_list.technical_grade_name;
        $scope.applyForm.workId = work_list.id;
        $scope.closeModal('search_work_type');

      };

      $scope.doRefresh_ztjh_detail = function() {
        $scope.refresh_detail();
      };

      /**刷新**/

      //工种类型
      $scope.search_type = true; //临时显示工会名称搜索结果在detail1.html页面内




      //工种名称
      $scope.work_type = '';
      $scope.profession = {};
      $scope.profession.name = '';

      $scope.work_type_date = [];
      $scope.work_type_date.date = [];
      $scope.select_workdate = [];
      $scope.select_workdate.unshift({
        id: 0,
        year: '所属年度'
      });
      $scope.work_type_date.date = $scope.select_workdate[0];
      $scope.work_type_date.date.id = 0;

      /*********************选择工种模板方法***********************/
      $scope.modal = {};
      var page = 1,
        size = 10;
      $scope.hasMore = false;
      $scope.work_typerefresh = function() { //获取选择工种的列表
        jnzt_ztjh_detailSer.choose_work_type(1, size, $scope.work_type_date.date.id, $scope.profession.name).then(function(data) {
          if (data.errcode === undefined) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '暂无服务。',
                duration: 1000
              });
              $scope.hasMore = false;
            } else if (data.length < size) {
              $scope.hasMore = false;
            } else {
              $scope.hasMore = true;
            }
            page = 2;
            $scope.work_type = data; //选择工种的数据；

          } else if (data.errcode == -1) {
            $scope.hasMore = false;
            $cordovaDialogs.confirm('您的登录已失效，是否现在登录。', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
              if (buttonIndex == 1) {
                if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                  $state.go('tab.login');
                } else {
                  $state.go('tab.login-other');
                }
              }
            });
          } else {
            $scope.hasMore = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 1000
          });
        }).finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
      };

      $scope.work_typedorefresh = function() {
        $scope.profession.name = '';
        $scope.work_typerefresh();
      };

      // 选择工种的更多
      $scope.work_typemore = function() {
        jnzt_ztjh_detailSer.choose_work_typemore(page, size, $scope.work_type_date.date.id, $scope.profession.name).then(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '无更多服务。',
                  duration: 1000
                });
                $scope.hasMore = false;
              } else if (data.length < size) {
                $scope.hasMore = false;
              }
              page++;
              $scope.work_type = $scope.work_type.concat(data);
            } else {
              $scope.hasMore = false;
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
          })
          .finally(function() {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
      };


      //获取工种选择列表的所属年度

      $scope.work_typedate = function() {
        jnzt_ztjh_detailSer.choose_work_typedate().then(function(data) {
          if (data.errcode === undefined) {
            $scope.select_workdate = data;
            $scope.select_workdate.unshift({
              id: 0,
              year: '所属年度'
            });
            $scope.work_type_date.date = $scope.select_workdate[0];
          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 3000
          });
        });
      };
      //选择具体年度
      $scope.work_changedate = function(date) {
        if (date == null) {
          return;
        } else {
          jnzt_ztjh_detailSer.choose_work_typedatedetail(date.id).then(function(data) {
            if (data.errcode === undefined) {

              $scope.hasMore = true;
              $scope.work_type = data;
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }

          }, function() {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 3000
            });
          });
        }
      };



      $scope.openModal = function(modal_name) {
        var animation = 'slide-in-up';
        if (modal_name == 'search_workkeyword') {
          animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', {
          scope: $scope,
          animation: animation
        }).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
          $scope.search_type = true;
          $scope.work_typerefresh(); //给model里面获得数据
          $scope.work_typedate();
        });
      };






      /***搜索工种模板方法*/
      $scope.modal = {};

      $scope.openModal2 = function(modal_name) {
        var animation = 'slide-in-up';
        if (modal_name == 'search_workkeyword') {
          animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', {
          scope: $scope,
          animation: animation
        }).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };



      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };
      //工会名称搜索
      $scope.work_changekeyword = function(keyword) {
        if (keyword == null) {
          return;
        } else {
          jnzt_ztjh_detailSer.choose_work_typekeyword(keyword).then(function(data) {
            if (data.errcode === undefined) {
              $scope.hasMore = true;
              $scope.work_type = data;

            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }

          }, function() {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 3000
            });
          });
        }
      };


      //搜索框搜索结果
      $scope.submitModal = function(modal_name) {
        if (modal_name === 'search_workkeyword') {

          if ($scope.profession.name == undefined || $scope.profession.name == '') {
            return;
          } else {

            // $scope.work_changekeyword($scope.profession.name);
            $scope.work_typerefresh();

          }

        }
        $scope.modal[modal_name].remove();
      };

      function verifynum(num) {
        var regex = /^[0-9]+([.]{1}[0-9]+){0,2}$/;
        if (regex.test(num) == false) {
          return false;
        }
        return true;
      }

      function verifydate(date) {
        var regex = /^(\d{4})-(\d{2})-(\d{2})$/;
        if (regex.test(date) == false) {
          return false;
        }
        return true;
      }

      function checkDate(strInputDate) {
        // 定义一个月份天数常量数组
        var DA = [0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];

        // 统一日期格式
        var regex = /^(\d{4})-(\d{2})-(\d{2})$/;
        if (regex.test(strInputDate) == false) {
          $cordovaDialogs.alert("请输入2018-01-01格式。", "温馨提示", "好的");
          return false;
        }
        var strDate = strInputDate.replace(/-/g, "/");


        // 分解出年月日
        var arrD = strDate.split("/");
        if (arrD.length != 3) return false;
        var y = parseInt(arrD[0], 10);
        var m = parseInt(arrD[1], 10);
        var d = parseInt(arrD[2], 10);

        //判断年月日是否是数字
        if (isNaN(y) || isNaN(m) || isNaN(d)) {
          $cordovaDialogs.alert("请输入数字。", "温馨提示", "好的");
          return false;
        }

        // 判断月份是否在1-12之间
        if (m > 12 || m < 1) {
          $cordovaDialogs.alert('月份在1-12之间', '温馨提示', '好的');
          return false;
        }
        //判断是否是闰年
        if (isLoopYear(y)) DA[2] = 29;

        //判断输入的日是否超过了当月月份的总天数。
        if (d > DA[m]) {
          $cordovaDialogs.alert("在" + m + "月没有对应日期", '温馨提示', '好的');
          return false;
        }

        return true;
        //各种条件都验证了，则应该是一个合法的日期了。
        // 如果要对日期进行一次格式化，则可以在这里进行处理了，下面格式化成数据库识别的日期格式 yyyy-MM-dd
        // str = y + "-" + (m<10?"0":"") + m + "-" + (d<10?"0":"") + d;
        //str = y + "-" + (m < 10 ? "0" : "") + m + "-" + (d < 10 ? "0" : "") + d;
        //alert(str)
        //  return true;
      }

      function isLoopYear(theYear) {
        return (new Date(theYear, 1, 29).getDate() == 29);
      }


      function verifycert_code(cert_code) {
        var regex = /^(\d{16})$/;
        if (regex.test(cert_code) == false) {
          return false;
        }
        return true;
      }
      //工种选择后的提交
      $scope.modify_save_ztjh = function() {

        if ($scope.applyForm.work_type == '') {
          $cordovaDialogs.alert('请选择职业工种', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.cert_code == '') {
          $cordovaDialogs.alert('请填写证书编号', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.cert_code != '' && !verifycert_code($scope.applyForm.cert_code)) {
          $cordovaDialogs.alert('证书编号请填写16位数字', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.cert_date == '') {
          $cordovaDialogs.alert('请填写颁证日期', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.cert_date != '' && !checkDate($scope.applyForm.cert_date)) {
          //$cordovaDialogs.alert('颁证日期格式有误，如2018-01-01', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.train_organ_name.length > 32 && $scope.applyForm.train_organ_name != '') {
          $cordovaDialogs.alert('培训信息的机构名称内容在32字以内', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.train_organ_address.length > 64 && $scope.applyForm.train_organ_address != '') {
          $cordovaDialogs.alert('培训信息的机构地址内容在64字以内', '温馨提示', '好的');
          return;
        }

        if (!verifynum($scope.applyForm.train_hours) && $scope.applyForm.train_hours != '') {
          $cordovaDialogs.alert('培训信息的培训学时请填写数字', '温馨提示', '好的');
          return;
        }
        if (!verifynum($scope.applyForm.train_fee) && $scope.applyForm.train_fee != '') {
          $cordovaDialogs.alert('培训信息的培训费用请填写数字', '温馨提示', '好的');
          return;
        }

        if ($scope.applyForm.identify_organ_name.code == '0') {
          $cordovaDialogs.alert('请选择鉴定信息的机构名称', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.identify_organ_adress.length > 64 && $scope.applyForm.identify_organ_adress != '') {
          $cordovaDialogs.alert('鉴定信息的机构地址文字在64字以内', '温馨提示', '好的');
          return;
        }
        if (!verifynum($scope.applyForm.identify_fee) && $scope.applyForm.identify_fee != '') {
          $cordovaDialogs.alert('鉴定信息的鉴定费用请填写数字', '温馨提示', '好的');
          return;
        }

        jnzt_ztjh_detailSer.jnzt_ztjh_workdata($scope.person_id, $scope.applyForm.workId, $scope.applyForm.cert_code, $scope.applyForm.cert_date, $scope.applyForm.train_organ_name, $scope.applyForm.train_organ_address, $scope.applyForm.train_hours, $scope.applyForm.train_fee, $scope.applyForm.identify_organ_adress, $scope.applyForm.identify_type.code, $scope.applyForm.identify_fee, $scope.applyForm.identify_organ_name.code).then(function(data) {
          if (data.errcode == 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack(-2);
            });
          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 3000
          });
        });

      };
    });
})();
