(function() {
  'use strict';
  angular
    .module('jnzt_ztjh_detail')
    .controller('jnzt_ztjh_detailcheckCtrl', function($scope, $state, $ionicHistory, templateUrlPath, $ionicModal, $cordovaDialogs, $stateParams, jnzt_ztjh_detailSer, $ionicLoading) {

      $scope.check_perId = $stateParams.id;
      $scope.edit_perId = $stateParams.ztjh_detail_id;




      //  $scope.jnzt_ztjh_check_list = $scope.jnzt_ztjh_check_list[$stateParams.id];







      //查看页面的js代码

      $scope.ztjh_check = function(work_id) {
        if (work_id == undefined || work_id == '') {
          return;
        }
        jnzt_ztjh_detailSer.check_work_typekeyword(work_id).then(function(data) {
          if (data.errcode === undefined) {

            $scope.check_workdata = data;

          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 3000
          });
        });
      };

      $scope.ztjh_check($scope.check_perId);



      //===============================修改页面=========

      //edit_perId
      $scope.eidt = {};
      $scope.edit_workdate = {};

      $scope.applyForm = {};
      $scope.applyForm.workId = '';

      jnzt_ztjh_detailSer.codelist('ct_push_identify_organ').then(function(data) {
        $scope.identify_organ_name = data;
        //  $scope.applyForm.identify_organ_name = $scope.identify_organ_name[0];


      });


      jnzt_ztjh_detailSer.codelist('ct_push_identify_type').then(function(data) {
        $scope.identify_type = data;

        $scope.identify_type[0].name = '非必填项';
        //$scope.applyForm.identify_type = $scope.identify_type[0];
      });


      $scope.edit_getworkdata = function(person_apply_id) {
        if (person_apply_id == undefined || person_apply_id == '') {
          return;
        }
        jnzt_ztjh_detailSer.edit_work_typedta(person_apply_id).then(function(data) {
          if (data.errcode === undefined) {

            $scope.edit_workdate = data;

            $scope.applyForm.project_id = $scope.edit_workdate.project_id;
            $scope.applyForm.work_type = $scope.edit_workdate.project_job_name;
            $scope.applyForm.work_level = $scope.edit_workdate.technical_code_name;
            $scope.applyForm.cert_code = $scope.edit_workdate.cert_code;
            $scope.applyForm.cert_date = $scope.edit_workdate.cert_date;
            $scope.applyForm.train_organ_name = $scope.edit_workdate.train_organ_name;
            $scope.applyForm.train_organ_address = $scope.edit_workdate.train_organ_address;
            $scope.applyForm.train_hours = $scope.edit_workdate.train_hours;
            $scope.applyForm.train_fee = $scope.edit_workdate.train_fee;
            $scope.applyForm.identify_organ_address = $scope.edit_workdate.identify_organ_address;


            for (var type_i = 0; type_i < $scope.identify_type.length; type_i++) {
              if ($scope.identify_type[type_i].code == $scope.edit_workdate.identify_type_value) {
                $scope.applyForm.identify_type = $scope.identify_type[type_i];
              }
            }
            //$scope.applyForm.identify_type_value = $scope.edit_workdate.identify_type_value;
            $scope.applyForm.identify_fee = $scope.edit_workdate.identify_fee;

            for (var i = 0; i < $scope.identify_organ_name.length; i++) {
              if ($scope.identify_organ_name[i].code == $scope.edit_workdate.identify_organ_value) {

                $scope.applyForm.identify_organ_name = $scope.identify_organ_name[i];

              }
            }

          } else if (data.errcode === -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }

        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 3000
          });
        });
      };

      $scope.edit_getworkdata($scope.edit_perId);








      //工种名称
      $scope.work_type = '';
      $scope.profession = {}; //搜索工会名称的输入框的值
      $scope.profession.name = '';
      /*********************选择工种模板方法***********************/
      $scope.modal = {};
      var page = 1,
        size = 10;
      $scope.hasMore = false;
      $scope.work_typerefresh = function() { //获取选择工种的列表
        jnzt_ztjh_detailSer.choose_work_type(1, size).then(function(data) {
          if (data.errcode === undefined) {
            if (data.length === 0) {
              $ionicLoading.show({
                template: '暂无服务。',
                duration: 1000
              });
              $scope.hasMore = false;
            } else if (data.length < size) {
              $scope.hasMore = false;
            } else {
              $scope.hasMore = true;
            }
            page = 2;
            $scope.work_type = data; //选择工种的数据；

          } else if (data.errcode == -1) {
            $scope.hasMore = false;
            $cordovaDialogs.confirm('您的登录已失效，是否现在登录。', '温馨提示', ['现在登录', '稍后登录']).then(function(buttonIndex) {
              if (buttonIndex == 1) {
                if (localStorage.getItem('bj12351.is_gesture_pwd') === "true") {
                  $state.go('tab.login');
                } else {
                  $state.go('tab.login-other');
                }
              }
            });
          } else {
            $scope.hasMore = false;
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function(error) {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 1000
          });
        }).finally(function() {
          $scope.$broadcast('scroll.refreshComplete');
        });
      };

      // 选择工种的更多
      $scope.work_typemore = function() {

        jnzt_ztjh_detailSer.choose_work_typemore(page, size).then(function(data) {
            if (data.errcode === undefined) {
              if (data.length === 0) {
                $ionicLoading.show({
                  template: '无更多服务。',
                  duration: 1000
                });
                $scope.hasMore = false;
              } else if (data.length < size) {
                $scope.hasMore = false;
              }
              page++;
              $scope.work_type = $scope.work_type.concat(data);

            } else {
              $scope.hasMore = false;
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }
          }, function(error) {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 1000
            });
          })
          .finally(function() {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
      };



      //获取工种选择列表的所属年度
      $scope.work_type_date = {};
      $scope.work_type_date.date = '';
      $scope.work_typedate = function() {
        jnzt_ztjh_detailSer.choose_work_typedate().then(function(data) {
          if (data.errcode === undefined) {

            $scope.hasMore = true;
            $scope.select_workdate = data;

          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 3000
          });
        });
      };

      $scope.work_changedate = function(date) {
        if (date == null) {
          return;
        } else {
          jnzt_ztjh_detailSer.choose_work_typedatedetail(date.id).then(function(data) {
            if (data.errcode === undefined) {

              $scope.work_type = data;
            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }

          }, function() {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 3000
            });
          });
        }
      };



      $scope.openModal = function(modal_name) {
        var animation = 'slide-in-up';
        if (modal_name == 'search_service') {
          animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', {
          scope: $scope,
          animation: animation
        }).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
          $scope.search_type = true;
          $scope.work_typerefresh(); //给model里面获得数据
          $scope.work_typedate();
        });
      };

      $scope.work_typedorefresh = function() {
        $scope.work_typerefresh();
      };








      /***搜索工种模板方法*/
      $scope.modal = {};

      $scope.openModal2 = function(modal_name) {
        var animation = 'slide-in-up';
        if (modal_name == 'search_workkeyword') {
          animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', {
          scope: $scope,
          animation: animation
        }).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };



      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };
      //工种名称搜索
      $scope.work_changekeyword = function(keyword) {
        if (keyword == null) {
          return;
        } else {

          jnzt_ztjh_detailSer.choose_work_typekeyword(keyword).then(function(data) {
            if (data.errcode === undefined) {
              if (data.length == 0) {
                $ionicLoading.show({
                  template: '无相关内容。',
                  duration: 1000
                });
              }


              $scope.hasMore = true;

              $scope.work_type = data;


            } else if (data.errcode == -2) {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            } else {
              $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
            }

          }, function() {
            $ionicLoading.show({
              template: '网络繁忙，请稍后重试。',
              duration: 3000
            });
          });
        }
      };
      //搜索框搜索结果
      $scope.submitModal = function(modal_name) {
        if (modal_name === 'search_workkeyword') {

          if ($scope.profession.name == undefined || $scope.profession.name == '') {
            return;
          } else {

            $scope.work_changekeyword($scope.profession.name);
            $scope.profession.name = '';
          }

        }
        $scope.modal[modal_name].remove();
      };

      $scope.choose_worktype = function(work_list) {
        $scope.applyForm.work_type = work_list.project_job_name;
        $scope.applyForm.work_level = work_list.technical_grade_name;
        $scope.applyForm.project_id = work_list.id;
        $scope.closeModal('search_work_type');

      };

      function verifynum(num) {
        var reg = /^[0-9]{1,}$/;
        var regex = /^([0-9]{1,})+([.]{1})+([0-9]{0,2})$/;
        if (regex.test(num) == false && reg.test(num) == false) {
          return false;
        }
        return true;
      }

      function verifydate(date) {
        var regex = /^(\d{4})-(\d{2})-(\d{2})$/;
        if (regex.test(date) == false) {
          return false;
        }
        return true;
      }

      function verifycert_code(cert_code) {
        var regex = /^(\d{16})$/;
        if (regex.test(cert_code) == false) {
          return false;
        }
        return true;
      }

      function checkDate(strInputDate) {
        // 定义一个月份天数常量数组
        var DA = [0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];

        // 统一日期格式
        var regex = /^(\d{4})-(\d{2})-(\d{2})$/;
        if (regex.test(strInputDate) == false) {
          $cordovaDialogs.alert("请输入2018-01-01格式。", "温馨提示", "好的");
          return false;
        }
        var strDate = strInputDate.replace(/-/g, "/");

        // 分解出年月日
        var arrD = strDate.split("/");
        if (arrD.length != 3) return false;
        var y = parseInt(arrD[0], 10);
        var m = parseInt(arrD[1], 10);
        var d = parseInt(arrD[2], 10);

        //判断年月日是否是数字
        if (isNaN(y) || isNaN(m) || isNaN(d)) {
          $cordovaDialogs.alert("请输入数字。", "温馨提示", "好的");
          return fasle;
        }

        // 判断月份是否在1-12之间
        if (m > 12 || m < 1) {
          $cordovaDialogs.alert('月份在1-12之间', '温馨提示', '好的');
          return false;
        }
        //判断是否是闰年
        if (isLoopYear(y)) {
          DA[2] = 29;
        }

        //判断输入的日是否超过了当月月份的总天数。
        if (d > DA[m]) {
          $cordovaDialogs.alert("在" + m + "月没有对应日期", '温馨提示', '好的');
          return false;
        }

        //各种条件都验证了，则应该是一个合法的日期了。
        // 如果要对日期进行一次格式化，则可以在这里进行处理了，下面格式化成数据库识别的日期格式 yyyy-MM-dd
        // str = y + "-" + (m<10?"0":"") + m + "-" + (d<10?"0":"") + d;
        //str = y + "-" + (m < 10 ? "0" : "") + m + "-" + (d < 10 ? "0" : "") + d;
        //alert(str)
        //  return true;
        return true;
      }

      function isLoopYear(theYear) {
        return (new Date(theYear, 1, 29).getDate() == 29);
      }




      //修改内容后提交
      $scope.modify_save_ztjh = function() {

        if ($scope.applyForm.work_type == '') {
          $cordovaDialogs.alert('请选择职业工种', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.cert_code == '') {
          $cordovaDialogs.alert('请填写证书编号', '温馨提示', '好的');
          return;
        }

        if ($scope.applyForm.cert_code != '' && !verifycert_code($scope.applyForm.cert_code)) {
          $cordovaDialogs.alert('证书编号为16位数字', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.cert_date == '') {
          $cordovaDialogs.alert('请填写颁证日期', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.cert_date != '' && !checkDate($scope.applyForm.cert_date)) {
          //$cordovaDialogs.alert('颁证日期格式正确格式：2018-01-01', '温馨提示', '好的');
          //console.log($scope.applyForm.cert_date);

          return;
        }
        if ($scope.applyForm.train_organ_name.length > 32 && $scope.applyForm.train_organ_name != '') {
          $cordovaDialogs.alert('培训信息的机构名称内容在32字以内', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.train_organ_address.length > 64 && $scope.applyForm.train_organ_address != '') {
          $cordovaDialogs.alert('培训信息的机构地址内容在64字以内', '温馨提示', '好的');
          return;
        }


        if (!verifynum($scope.applyForm.train_hours) && $scope.applyForm.train_hours != '') {
          $cordovaDialogs.alert('培训信息的培训学时请填写数字', '温馨提示', '好的');
          return;
        }

        if (!verifynum($scope.applyForm.train_fee) && $scope.applyForm.train_fee != '') {
          $cordovaDialogs.alert('培训信息的培训费用请填写数字', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.identify_organ_name.code == "0") {
          $cordovaDialogs.alert('请填写鉴定信息的机构名称', '温馨提示', '好的');
          return;
        }
        if ($scope.applyForm.identify_organ_address.length > 64 && $scope.applyForm.identify_organ_address != '') {
          $cordovaDialogs.alert('鉴定信息的机构地址长度在64字以内', '温馨提示', '好的');
          return;
        }

        if (!verifynum($scope.applyForm.identify_fee) && $scope.applyForm.identify_fee != '') {
          $cordovaDialogs.alert('鉴定信息的鉴定费用请填写数字', '温馨提示', '好的');
          return;
        }


        jnzt_ztjh_detailSer.jnzt_ztjh_workEditdata($scope.edit_perId, $scope.applyForm.project_id, $scope.applyForm.cert_code, $scope.applyForm.cert_date, $scope.applyForm.train_organ_name, $scope.applyForm.train_organ_address, $scope.applyForm.train_hours, $scope.applyForm.train_fee, $scope.applyForm.identify_organ_address, $scope.applyForm.identify_type.code, $scope.applyForm.identify_fee, $scope.applyForm.identify_organ_name.code).then(function(data) {
          if (data.errcode == 0) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的').then(function() {
              $ionicHistory.goBack(-1);
            });
          } else if (data.errcode == -2) {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          } else {
            $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
          }
        }, function() {
          $ionicLoading.show({
            template: '网络繁忙，请稍后重试。',
            duration: 3000
          });
        });

      };








    });
})();
