(function() {
  'use strict';

  angular
    .module('ylhzActivity')
    .factory('ylhzActivitySer', function($http, $q, API, $ionicLoading) {
      return {
        refreshActivities: function() {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          $http.get(API.getHost() + '/insurance/activity.jsp' +
              '?token=' + localStorage.getItem('bj12351.token'), {
                timeout: 10000
              })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }

      };
    });
})();
