(function() {
  'use strict';

  angular
    .module('ylhzPaymentDetail')
    .factory('ylhzPaymentDetailSer', function($http, $q, API, $ionicLoading) {
      return {
        refreshIns: function(year) {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          $http.get(API.getHost() + '/insurance/ylhz_payment_ins.jsp' +
              '?token=' + localStorage.getItem('bj12351.token') +
              '&year=' + year, {
                timeout: 20000
              })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }

      };
    });
})();
