(function() {
  'use strict';

  angular
    .module('booking_detail')
    .controller('bookingDetailCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, $stateParams, templateUrlPath, API) {
      $scope.booking_detail = {
        id: 1,
        name: "李宁静",
        booking_no: "0001010111091646365",
        booking_time: "2017-09-08 10:00",
        arrive_time: "2017-09-08 10:00",
        booking_hospital: "北京亚运村门诊部",
        hospital_mobile: "55668894",
        hospital_addr: "朝阳区亚运村安立路66号安立花园",
        hospital_route: "538路公交"

      };

      $scope.navigation = function() {
        event.preventDefault();
        $scope.openModal('hostipal_navigation');
      };

      /***模板方法*/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }
        var options = {
          scope: $scope,
          animation: 'slide-in-up'
        };
        if (modal_name == 'search_title') {
          options.animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', options).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };

      $scope.submitModal = function(modal_name) {
        // $scope.refresh();
        $scope.modal[modal_name].remove();
      };

    });
})();
