(function() {
  'use strict';

  angular
    .module('hospital')
    .controller('hospitalCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, templateUrlPath, API) {
      $scope.hospital_list = [{
        id: 1,
        name: "北京雍和宫门诊部",
        address: ""
      }, {
        id: 2,
        name: "北京世纪城分院",
        address: ""
      }, {
        id: 3,
        name: "北京雍和宫门诊部VIP",
        address: ""
      }, {
        id: 4,
        name: "北京大北窑分院",
        address: ""
      }, {
        id: 5,
        name: "北京知春路分院",
        address: ""
      }, {
        id: 6,
        name: "北京公主坟门诊部",
        address: ""
      }, {
        id: 7,
        name: "北京亚运村分院",
        address: ""
      }, {
        id: 8,
        name: "北京慈铭奥亚门诊部",
        address: ""
      }, {
        id: 9,
        name: " 北京亮马桥分院",
        address: ""
      }, {
        id: 10,
        name: "北京慈铭奥亚二层门诊部",
        address: ""
      }];

      /***模板方法*/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }
        var options = {
          scope: $scope,
          animation: 'slide-in-up'
        };
        if (modal_name == 'search_title') {
          options.animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', options).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };

      $scope.submitModal = function(modal_name) {
        // $scope.refresh();
        $scope.modal[modal_name].remove();
      };

    });
})();
