(function() {
  'use strict';

  angular
    .module('latest_detail')
    .controller('latestDetailCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, $stateParams, templateUrlPath, API) {
      $scope.latest_detail_list = [{
        id: 1,
        img: "img/zykf/news1.jpg",
        name: "大数据告诉您：是谁偷走了教师的健康？",
        create_time: "2017-09-08",
        description: '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;适逢我国第33个教师节之际，慈铭体检联合中国医师协会医师健康管理与健康保险专业委员会、中国非公立医疗机构协会（健康管理与健康保险分会）、北京市健康保障协会、人民网、慈铭奥亚健康管理医院和记健康，发布《2017年中国城市健康状况大调查之教育行业健康分析》，以提升教育工作者对健康的关注。</br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;教师，作为一个庞大的社会群体，在我国其人数早已接近两千万，“师者，传道授业解惑也”，可随着时代不断发展，教师承载的不止是教书育人，还面临着升职、考核等等的压力。在这个关乎家庭、社会、甚至人类文明的行业里，他们自己身体还好吗？</br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;那体检报告中常出现的关于颈椎问题的曲线变直、增生、钙化这些专业术语，究竟都是什么意思呢？是不是有这些指标异常就一定是颈椎病呢？老师们要如何保护自己僵硬的脖子呢？下面来听听慈铭奥亚运动医学中心的专家是如何解读的。</br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;骨质增生在颈椎病中是最常见的现象，由于颈椎退行性变所致颈椎骨赘，所以逐渐形成了增生。如果增生的部位无任何神经、血管压迫的话，不构成颈椎病。但是只要有压迫和症状出现，就表示已经患上颈椎病。颈椎韧带的退行性变，是从韧带松弛→痉挛→机化→钙化→骨化的过程。</br>'
      }, {
        id: 2,
        img: "img/zykf/news2.png",
        name: "体检健康数据显示，眼部疾病将祸害近5亿中国人！",
        create_time: "2018-01-22",
        description: '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;眼睛是心灵的窗户，是感知世界，获取知识的窗口。据权威部门统计已有5亿多中国人患有各类视力缺陷，其中近视的总患病人数在4.5亿左右。根据“慈铭体检国民健康体检报告”显示，国民体检检出率连续八年“夺冠”的是眼科异常。虽然国民健康意识上升，但健康指数却呈下降趋势，据报道，如不控制到2020年，中国近视大军将扩充至7亿人。国人正以一种挑战吉尼斯世界纪录的精神，挑战自己用眼时长及眼球进化速度。未来“看不清”会成为中国特色病，我们该如何“自救”呢？</br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;关注视力健康，助力实现健康中国梦。日益严峻的视觉健康形势，不仅会带来直接的医疗成本和社会保障负担，也会造成行为能力丧失进而影响劳动能力和生命质量。据《国民视觉健康》估计，2012年各类视力缺陷导致的社会经济成本在6800多亿元，占当年GDP 的比例高达1.3%。算上视觉健康对生命质量的损失，占GDP的比例将达到1.83%。但若加以适当矫正，有相当于3100多亿元的劳动参与损失可以避免，约占当年GDP的0.7%。</br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;医生建议这几类人需注重眼底检查：</br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;糖尿病后期患者，患有神经系统的疾病，肾炎、白血病、贫血、心脏病、急性传染病、妇产科妊娠高血压综合症等；许多全身性疾病患也与有眼底变化有密切关系，当全身性疾病发展到一定程度时，眼底往往会发生相应的异常变化。通过检查眼底，可以帮助明确诊断，也可根据眼底的改变对全身性疾病进行有目的的治疗，估计全身性疾病的预后。</br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;眼底检查易被忽视其重要性，建议高度近视者每年至少查一次眼底，以免严重的并发症导致失明。</br>'
      }, {
        id: 3,
        img: "img/xlga/exp3.jpg",
        name: "首都职工志愿服务运行中心简介",
        create_time: " 2017-07-07",
        description: '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;首都职工志愿服务工作是新时期北京市总工会为构建北京和谐宜居之都，积极拓展工会组织服务职工职能，践行奉献、友爱、互助、进步志愿服务精神的重要举措。是工会组织配合政府创新社会治理的有效途径，是工会多元化服务职工的创新手段，同时也是满足职工常态化服务需求的必然做法。我们旨在通过首都职工志愿服务工作的有序开展，探索解决“服务职工最后一公里”问题。首都职工志愿服务工作以广泛动员广大职工参与志愿服务为前提，以分层分类的职工志愿者队伍建设为基础，以丰富多彩的职工志愿服务活动开展为抓手，以便捷完善的志愿服务信息平台为依托，以强化整合的项目发布为引领，以有力的机制建设为保障，全力做到服务职工的常态化、制度化、网络化、系统化。</br>&nbsp;'
      }, {
        id: 4,
        img: "img/xlga/xlga2.jpg",
        name: "顺义区总工会助力基层开展经济技术创新工作",
        create_time: "2017-06-21",
        description: '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;日前，顺义区总工会以“疏解非首都功能，促职工技能提升”为工作目标，全面助推基层开展经济技术创新工作，出台了《经济技术创新工作三年助推计划实施方案（2017年-2019年）》。该助推计划是区总工会推出的一个面向全区基层单位、工会会员的普惠制的服务项目，助推内容包括：</br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.助推基层开展职业技能竞赛。基层工会主办本系统规模在40人以上的职业技能竞赛将获得50%资金助推；承办区级竞赛将获得全额助推；承办市级以上竞赛在获得相关组委会助推资金基础上，再获得30%的资金助推。</br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2.助推职工参加职业技能竞赛。职工参加区级竞赛奖励标准为一等奖3000元，二等奖2500元，三等奖2000元；在相应竞赛组委会奖励的基础上，获得市级职业技能竞赛一等奖或第一名的职工每人2000元，获得二等奖或第二至五名的职每人1000元，获得三等奖或第六至十名的职工每人资助500元；在相应竞赛组委会奖励的基础上，对获得市级以上（不含市级）职业技能竞赛一等奖或第一名的职工每人3000元，获得二等奖或第二至五名的职工每人2000元，获得三等奖或第六至十名的职工每人1000元。</br>'
      }];

      $scope.latest_detail = $scope.latest_detail_list[$stateParams.project_id];
    });
})();
