(function() {
  'use strict';

  angular
    .module('report')
    .controller('reportCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, templateUrlPath, API) {
      $scope.report_list = [{
        id: 1,
        img: "img/zykf/report1.jpg",
        title: "体检报告",
        content: '亚运村分店',
        create_time: "2017-03-20 08:54:00"
      }, {
        id: 2,
        img: "img/zykf/report2.jpg",
        title: "体检报告",
        content: '北京亚运村门诊部',
        create_time: "2016-03-25 08:54:54"
      }];

      /***模板方法*/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }
        var options = {
          scope: $scope,
          animation: 'slide-in-up'
        };
        if (modal_name == 'search_title') {
          options.animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', options).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };

      $scope.submitModal = function(modal_name) {
        // $scope.refresh();
        $scope.modal[modal_name].remove();
      };

    });
})();
