(function() {
  'use strict';
  angular
    .module('merchantService')
    .factory('merchantServiceSer', function($http, $q, API, $ionicLoading) {

      return {
        serviceList: function(merchant_id, m_id, service_name, search_type, gender, education, work_status, area, model_worker, page, size) {
          var q = $q.defer();
          $http.get(API.getHost() + '/merchant/service-list.jsp?merchant_id=' + merchant_id + '&m_id=' + m_id + '&service_name=' + service_name + '&search_type=' + search_type + '&gender=' + gender + '&education=' + education + '&work_status=' + work_status + '&area=' + area + '&model_worker=' + model_worker + '&page=' + page + '&size=' + size + '&token=' + localStorage.getItem('bj12351.token'), {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }

      };
    });
})();
