(function() {
  'use strict';

  angular
    .module('credits')
    .config(creditsState);

  creditsState.$inject = ['$stateProvider', 'templateUrlPath'];

  function creditsState($stateProvider, templateUrlPath) {
    $stateProvider

      // setup an abstract state for the tabs directive
      .state('tab.credits', {
        url: '/my/credits',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'modules/my_credits/credits.html',
            controller: 'creditsCtrl'
          }
        }
      })
      .state('tab.creditsDetail', {
        url: '/my/creditsDetail',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'modules/my_credits/credits_detail.html',
            controller: 'creditsDetailCtrl'
          }
        }
      })
      .state('tab.exchangeHistoryState', {
        url: '/my/credits/exchangeHistoryState',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'modules/my_credits/exchange_history.html',
            controller: 'exchangeHistoryCtrl'
          }
        }
      });
  }
})();
