(function() {
  'use strict';
  angular
    .module('myEmployee')
    .factory('myEmployeeSer', function($q, $http, API, $ionicLoading) {
      var myEmployees = JSON.parse(localStorage.getItem('bj12351.my_employees')) || [];
      return {
        getMyEmployee: function() {
          return myEmployees;
        },

        refresh: function(hy_id, page, size) {
          var q = $q.defer();
          $http.get(API.getHost() + '/employee/my-employee.jsp?token=' + localStorage.getItem('bj12351.token') + '&hy_id=' + hy_id + '&page=' + page + '&size=' + size, {
              timeout: 10000
            })
            .success(function(data) {
              if (data.errcode === undefined) {
                myEmployees = data;
                localStorage.setItem('bj12351.my_employees', JSON.stringify(data));
              }
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        },

        more: function(hy_id, page, size) {
          var q = $q.defer();
          $http.get(API.getHost() + '/employee/my-employee.jsp?token=' + localStorage.getItem('bj12351.token') + '&hy_id=' + hy_id + '&page=' + page + '&size=' + size, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            });
          return q.promise;
        }
      };
    });
})();
