(function() {
  'use strict';

  angular
    .module('logistics')
    .config(logisticsState);

  logisticsState.$inject = ['$stateProvider', 'templateUrlPath'];

  function logisticsState($stateProvider, templateUrlPath) {
    $stateProvider

      // setup an abstract state for the tabs directive
      .state('tab.logistics', {
        url: '/my/logistics',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'modules/my_logistics/my_logistics.html',
            controller: 'logisticsCtrl'
          }
        }
      })
      .state('tab.logisticsDetail', {
        url: '/my/logisticsDetail/:name/:code',
        views: {
          'tab-my': {
            templateUrl: templateUrlPath + 'modules/my_logistics/my_logistics_detail.html',
            controller: 'logisticsDetailCtrl'
          }
        }
      });
  }
})();
