(function() {
  'use strict';

  angular
    .module('logistics')
    .controller('logisticsDetailCtrl', function($scope, $ionicSlideBoxDelegate, $ionicLoading, $state, $interval, $stateParams, $location, $cordovaDialogs, $ionicModal, templateUrlPath, $http, logisticsSer) {
      $scope.express_name = $stateParams.name;
      $scope.express_code = $stateParams.code;
      $scope.express = {};
      $scope.express.info = '';
      $scope.express.ischeck = '';
      $http({
        method: 'GET',
        url: 'https://www.kuaidi100.com/query?type=' + $scope.express_name + '&postid=' + $scope.express_code,
        timeout: 10000
      }).then(function(success) {
        if (success.status == 200) {
          $scope.express.info = success.data.data;
          $scope.express.ischeck = success.data.ischeck;
        } else {
          $ionicLoading.show({
            template: '该快递单号暂无物流记录。',
            duration: 1000
          });
        }
      }, function(error) {
        console.log(error);
        $ionicLoading.show({
          template: '该快递单号不存在或者已经过期。',
          duration: 1000
        });
      });
    });
})();
