(function() {
  'use strict';
  angular.module('myMessage')
    .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
      $stateProvider
        .state('tab.myMessage', {
          url: '/my-message',
          views: {
            'tab-my': {
              templateUrl: templateUrlPath + 'modules/my_message/my_message.html',
              controller: 'myMessageCtrl'
            }
          },

          onEnter: function($rootScope, myMessageSer) {
            if (localStorage.getItem('bj12351.token')) {
              myMessageSer.checkMessage().then(function(data) {
                $rootScope.unreaded = myMessageSer.getUnreaded();
              }, function(err) {});
            }
          }
        });

    });
})();
