(function() {
  angular
    .module('myService')
    .config(function($stateProvider, templateUrlPath) {
      $stateProvider
        .state('tab.myService', {
          url: '/my-service',
          views: {
            'tab-my-service': {
              templateUrl: templateUrlPath + 'modules/my_service/my_service.html',
              controller: 'myServiceCtrl'
            }
          },
          onEnter: function($rootScope, myMessageSer) {
            if (localStorage.getItem('bj12351.token')) {
              myMessageSer.checkMessage().then(function(data) {
                $rootScope.unreaded = myMessageSer.getUnreaded();
              }, function(err) {});
            }
          }
        })

        .state('tab.myServiceAll', {
          url: '/my-service/all',
          views: {
            'tab-my-service': {
              templateUrl: templateUrlPath + 'modules/my_service/my_service_all.html',
              controller: 'myServiceAllCtrl'
            }
          },
          onEnter: function($rootScope, myMessageSer) {
            if (localStorage.getItem('bj12351.token')) {
              myMessageSer.checkMessage().then(function(data) {
                $rootScope.unreaded = myMessageSer.getUnreaded();
              }, function(err) {});
            }
          }
        });

    });
})();
