(function() {
  'use strict';

  angular
    .module('protectRight')
    .factory('protectRightSer', function($http, $q, API, $ionicLoading) {
      return {
        /**我要求助**/
        protect: function(name, gender, phone, email, title, content) {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          $http.post(API.getHost() + '/hotline/rights-protection.jsp', {
              name: name,
              gender: gender,
              phone: phone,
              email: email,
              title: title,
              content: content
            }, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }

      };
    });
})();
