(function() {
  'use strict';

  angular
    .module('protocol')
    .config(function($stateProvider, $urlRouterProvider, templateUrlPath) {
      $stateProvider
        .state('tab.protocol', {
          url: '/protocol/:articleId/detail',
          views: {
            'tab-home': {
              templateUrl: templateUrlPath + 'modules/protocol/protocol.html',
              controller: 'protocolCtrl'
            }
          }
        })
        .state('tab.my_protocol', {
          url: '/my_protocol/:articleId/detail',
          views: {
            'tab-my': {
              templateUrl: templateUrlPath + 'modules/protocol/protocol.html',
              controller: 'protocolCtrl'
            }
          }
        });

    });
})();
