(function() {
  'use strict';

  angular
    .module('scanResult')
    .controller('scanResultCtrl', function($scope, $ionicLoading, $cordovaClipboard) {
      $scope.content = localStorage.getItem('bj12351.scan_result');
      $scope.type = localStorage.getItem('bj12351.scan_result_type');
      $scope.copy = function() {
        $cordovaClipboard.copy($scope.content).then(function() {
          $ionicLoading.show({
            template: '内容已复制',
            duration: 1000
          });
        }, function(err) {
          $ionicLoading.show({
            template: '复制失败',
            duration: 1000
          });
        });
      };
    });

})();
