(function() {
  'use strict';
  angular
    .module('security_setting')
    .controller('SettingCtrl', function($scope, $location, $ionicModal, $ionicLoading, $interval, $cordovaDialogs, md5Ser, loginSer) {
      $scope.$on('$ionicView.beforeEnter', function() {
        $scope.user = JSON.parse(localStorage.getItem('bj12351.user'));

      });
      $scope.changeGestPwd = function() {
        if ($scope.user.is_gesture_pwd === true) { //使用手势密码
          $location.path('/tab/set-gestpw');
        } else if ($scope.user.is_gesture_pwd === false) {
          loginSer.setIsGesturePwd(localStorage.getItem('bj12351.token'), 0)
            .then(function(data) {
                if (data.errcode === 0 || data.errcode === undefined) {
                  localStorage.setItem('bj12351.user', JSON.stringify($scope.user));
                  localStorage.setItem('bj12351.is_gesture_pwd', false);
                } else {
                  $cordovaDialogs.alert(data.errmsg, '温馨提示', '好的');
                }
              },
              function(error) {
                $ionicLoading.show({
                  template: '网络繁忙，请稍后重试。',
                  duration: 1000
                });
              });
        }
      };

    });
})();
