(function() {
  'use strict';
  angular
    .module('serviceMerchant')
    .factory('serviceMerchantSer', function($http, API, $q, $ionicLoading) {
      return {
        //获取商户列表
        getMerchants: function(longitude, latitude, service_id, page, size, name) {
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          name = name || '';
          var q = $q.defer();
          $http.get(API.getHost() + '/service/merchant-list.jsp?longitude=' + longitude + '&latitude=' + latitude + '&service_id=' + service_id + "&page=" + page + "&size=" + size + '&name=' + name + '&token=' + localStorage.getItem('bj12351.token'), {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }

      };
    });
})();
