(function() {
  'use strict';

  angular
    .module('activity_verify_input')
    .controller('activityVerifyInputCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, templateUrlPath) {
      $scope.verify = {};
      $scope.verify.verify_code = '';
      $scope.verify.verification_code_show = '';
      $scope.verify.verification_code_input = '';

      $scope.input_verify = function() {
        if (!$scope.verifyCode()) {
          return;
        }
        $cordovaDialogs.alert('验证通过', '温馨提示', '好的');
      };

      //验证图片验证码
      $scope.verifyCode = function() {
        var inputCode = $scope.verify.verification_code_input.toUpperCase(); //验证码大写转换
        if (inputCode === $scope.verify.verification_code_show.toUpperCase()) { //验证正确
          $scope.verify.verify_code = ''; //清除记录
          $scope.verify.verification_code_input = '';
          return true;
        } else {
          $cordovaDialogs.alert('验证码输入错误', '温馨提示', '好的');
          return false;
        }
      };

      /**创建图片验证码**/
      $scope.createCode = function() {
        var codeLength = 4; //验证码长度
        var selectChar = new Array( //所有候选组成验证码的字符，当然也可以用中文的
          0, 1, 2, 3, 4, 5, 6, 7, 8, 9,
          'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z',
          'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z'
        );
        var codeRandom = "";
        for (var i = 0; i < codeLength; i++) {
          var codeIndex = Math.floor(Math.random() * 62);
          codeRandom += selectChar[codeIndex]; //生成4位验证码
        }
        $ionicHistory.clearCache();
        $scope.verify.verification_code_show = codeRandom;
      };
      $scope.createCode();
    });
})();
