(function() {
  'use strict';

  angular
    .module('workerInfoColl')
    .factory('workerInfoCollSer', function($http, $q, API, $ionicLoading) {
      return {
        /**申请加入**/
        doSubmit: function(current_org, current_enter, name, gender, certificate_num, cer_begin_date, cer_end_date, birthday, resident_type, area, entry_time, work_status, education, skill, mobile, telephone, if_construct) {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });
          $http.post(API.getHost() + '/user/add_member.jsp', {
              token: localStorage.getItem('bj12351.token'),
              current_org: current_org,
              current_enter: current_enter,
              name: name,
              gender: gender,
              certificate_num: certificate_num,
              cer_begin_date: cer_begin_date,
              cer_end_date: cer_end_date,
              birthday: birthday,
              resident_type: resident_type,
              area: area,
              entry_time: entry_time,
              work_status: work_status,
              education: education,
              skill: skill,
              mobile: mobile,
              telephone: telephone,
              if_construct: if_construct
            }, {
              timeout: 10000
            })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }
      };
    });
})();
