(function() {
  'use strict';
  angular
    .module('charge_insurance')
    .factory('chargeInsuranceSer', function($q, $ionicLoading, API, $http) {
      return {
        refresh: function(insureType, mobile) {
          var q = $q.defer();
          $ionicLoading.show({
            template: '<ion-spinner icon="android" class="spinner-light"></ion-spinner>'
          });

          $http.get(API.getHost() + '/insurance/statistics.jsp' +
              '?token=' + localStorage.getItem('bj12351.token') +
              '&static_type=' + insureType +
              '&mobile=' + mobile, {
                timeout: 1200000
              })
            .success(function(data) {
              q.resolve(data);
            })
            .error(function(error) {
              q.reject(error);
            })
            .finally(function() {
              $ionicLoading.hide();
            });
          return q.promise;
        }

      };
    });
})();
