(function() {
  'use strict';

  angular
    .module('tax_back')
    .controller('taxBackCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, $ionicHistory, $state, templateUrlPath, API) {
      $scope.companyList = [{
        id: 1,
        company_name: '北京中科朗思信息技术有限公司',
        companu_addr: '北京市朝阳区北苑路大屯',
        contacts: '张先生',
        contact_no: '58235555',
        status: 0
      }, {
        id: 1,
        company_name: '北京朗思云网信息技术有限公司',
        companu_addr: '北京市朝阳区北苑路大屯',
        contacts: '王女生',
        contact_no: '58236666',
        status: 1
      }];
      $scope.tax_back = function(index) {
        if ($scope.companyList[index].status === 0) {
          $cordovaDialogs.alert('补缴成功！', '温馨提示', '好的');
          $scope.companyList[index].status = 1;
        } else {
          $cordovaDialogs.alert('您不需要补缴！', '温馨提示', '好的');
        }
      };

      /***模板方法*/
      $scope.modal = {};
      $scope.openModal = function(modal_name) {
        if (!!$scope.modal[modal_name] && $scope.modal[modal_name]._isShown) {
          return;
        }
        var options = {
          scope: $scope,
          animation: 'slide-in-up'
        };
        if (modal_name == 'search_title') {
          options.animation = 'slide-in-right';
        }
        $ionicModal.fromTemplateUrl(templateUrlPath + 'modules/modals/' + modal_name + '.html', options).then(function(modal) {
          $scope.modal[modal_name] = modal;
          $scope.modal[modal_name].show();
        });
      };

      $scope.closeModal = function(modal_name) {
        $scope.modal[modal_name].remove();
      };

      $scope.submitModal = function(modal_name) {
        // $scope.refresh();
        $scope.modal[modal_name].remove();
      };

    });
})();
