(function() {
  'use strict';

  angular
    .module('trainingDetail')
    .controller('workerTrainingDetailCtrl', function($scope, $ionicModal, $ionicLoading, $cordovaDialogs, trainingDetailSer, templateUrlPath, $stateParams) {
      $scope.videoDetail = {};
      $scope.videos = [];
      $scope.page = 1;
      $scope.size = 100;
      $scope.content = '';
      $scope.refresh = function() {
        trainingDetailSer.detail($stateParams.c_id, $stateParams.a_id, $scope.page, $scope.size).then(function(data) {
          $scope.videoDetail = data;
          $scope.content = $scope.videoDetail.current_content;
          $scope.videos = $scope.videoDetail.training_list;
          play($scope.videoDetail.current_url);
        });
      };
      // $scope.videos = [{
      //   content: '哈哈空间的哈克山东航空卡时间段哈抠脚大汉爱是可敬的哈萨克的爱是可敬的号结<br>阿克江啥都会爱上看得开奥斯卡得很快打开时间活动阿索罗可点击阿索罗<br>大胜利大街杀了肯德基',
      //   // url: 'http://192.168.168.25/download/course/media/2017/11/24/1511489501813.mp4',
      //   url: 'mms://media.bjzgh.org/rx/52.wmv',
      //   name: '程序员的思维逻辑',
      //   picture: 'http://apppx.bjzgh12351.org/mobile/upload/batch_logo/1513819965624_80.jpg',
      //   times: 10
      // }, {
      //   content: '哈哈空间的哈克山东航空卡时间段哈抠脚大汉爱是可敬的哈萨克的爱是可敬的号结<br>阿克江啥都会爱上看得开奥斯卡得很快打开时间活动阿索罗可点击阿索罗<br>大胜利大街杀了肯德基',
      //   // url: 'http://192.168.168.25/download/course/media/2017/11/24/1511489501813.mp4',
      //   url: 'mms://media.bjzgh.org/rx/52.wmv',
      //   name: '一个演员的自我修养',
      //   picture: 'http://apppx.bjzgh12351.org/mobile/upload/batch_logo/1513580670520_80.jpg',
      //   times: 6
      // }];
      $scope.playing = 0;

      function play(url) {
        var flashvars = {
          f: url, //文件地址
          c: 0, //是否读取文本配置 0否 1是
          p: 0, //视频默认 0暂停，1播放，2不加载
          b: 1,
          my_url: encodeURIComponent(window.location.href) //本页面地址
        };
        var video = [url + '->video/mp4'];
        CKobject.embed('/lib/ckplayer/ckplayer.swf', 'movie', 'ckplayer_a1', '100%', '200', false, flashvars, video);
      }

      $scope.change = function(index) {
        console.log($scope.videos[index].url);
        $scope.playing = index;
        $scope.content = $scope.videos[index].content;
        play($scope.videos[index].url);
      };

      $scope.refresh();


    });
})();
